Attribute VB_Name = "DOC_ger"
Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
' Projekt:
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   DOC_ger
'   Das Modul enthlt alle konstanten Texte zum Modul DOC_Prozeduren fr die Sprache ger.
'   Fr Englisch wird eine Kopie des Moduls under dem Namen DOC_eng erstellt.
' Restriktionen:
'   Keine
' Entwicklung und Test:
'   Siehe Modul DOC_Prozeduren
' Copyright:
'   Siehe Modul DOC_Prozeduren
' Historie:
'   Siehe Modul DOC_Prozeduren

'Alle Texte der Prozedur fbVorlageAnpassen
'-----------------------------------------
Public Const sMSG_SCHREIBGESCHUETZT As String = "Die Vorlage ist schreibgeschtzt." _
    & vbCr & "Beenden Sie Word, entfernen Sie den Schreibschutz von der Vorlage und versuchen " _
    & "Sie es erneut."
Public Const sMSG_VORLAGEGESPEICHERT As String = "Die Vorlage fr Gs4Word wurde gespeichert."
Public Const sMSG_VORLAGENICHTGESPEICHERT As String = "Die Vorlage fr Gs4Word konnte nicht " _
    & "gespeichert werden. Sie wurde schon von anderen Word-Instanzen verwendet." _
    & vbCr & "Wenn Sie diese Word-Instanz beenden, mssen Sie Gs4Word nicht speichern. Das wird " _
    & "automatisch nachgeholt, sobald beim Aufruf von Word keine andere Word-Instanz luft."
Public Const sMSG_VORLAGENICHTVERAENDERBAR As String = "Die Vorlage fr Gs4Word wurde nicht " _
    & "verndert. Sie wird gleichzeitig von anderen Word-Instanzen verwendet." _
    & vbCr & "Beenden Sie zuerst alle Word-Instanzen und versuchen Sie es dann erneut."
Public Const sVORLAGE_BUTTON_CAPTION As String = "PDF"
Public Const sVORLAGE_BUTTON_TOOLTIPTEXT As String = "PDF-Datei erzeugen"
Public Const sVORLAGE_MENU_CAPTION As String = "&PDF"
Public Const sVORLAGE_MENU_ERZEUGEN_CAPTION As String = "&Erzeugen"
Public Const sVORLAGE_MENU_INFO_CAPTION As String = "&Info"
Public Const sVORLAGE_MENU_KONFIGURIEREN_CAPTION As String = "&Konfigurieren..."
Public Const sVORLAGE_MENU_DOKUMENTATION_CAPTION As String = "&Dokumentation"
Public Const sVORLAGE_MENU_MAILTO_CAPTION As String = "&Mailen"
Public Const sVORLAGE_SYMBOLLEISTE As String = "Standard" 'Name der Symbolleiste Standard.
Public Const sTITEL_VORLAGEANPASSEN As String = "Gs4Word"

'Alle Texte der Funktion ERZEUGEN
'--------------------------------
Public Const sMSG_KONFIGUNVOLLSTAENDIG As String = _
    "Die Konfiguration von Gs4Word ist unvollstndig." _
    & vbCr & "Konfigurieren Sie Gs4Word im Men 'PDF > Konfigurieren'" _
    & vbCr & "und besttigen Sie die Konfiguration dort mit 'OK'."

'Alle Texte der Funktion fbOfficeDatei_gespeichert
'-------------------------------------------------
Public Const sMSG_OFFICEDATEINICHTGESPEICHERT As String = "Das Dokument ist nicht gespeichert." _
    & vbCr & "Speichern Sie das Dokument und versuchen Sie es erneut."
Public Const sMSG_KEINEOFFICEDATEI As String = "Es ist kein Dokument geffnet." _
    & vbCr & "ffnen Sie ein Dokument und versuchen Sie es erneut."

'Texte der Subroutine fbPSDateiPdfmark_ergaenzen
'-----------------------------------------------
Public Const sMSG_PDFOUTSWITCHUNBEKANNT As String = "Das Lesezeichen ist unbekannt." _
    & vbCr & "ndern Sie das Lesezeichen im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."

'Alle Texte der Funktion fbPSDatei_erzeugen
'------------------------------------------
Public Const sMSG_PSDATEIMITKOMMA As String = _
    "Die Postscript-Datei konnte nicht erzeugt werden oder sie ist leer." _
    & vbCr & "Bei einigen Microsoft-Betriebssystemen darf das Verzeichnis und der Dateiname kein " _
    & "Komma enthalten. Versuchen Sie es erneut mit einem Verzeichnis- und Dateinamen ohne Komma."
Public Const sMSG_PSDATEINICHTERZEUGT As String = _
    "Die Postscript-Datei konnte nicht erzeugt werden oder sie ist leer." _
    & vbCr & "Prfen Sie, ob der Drucker ein Postscript-Drucker ist und ob er richtig " _
    & "eingerichtet ist. "
Public Const sMSG_PSDRUCKERUNBEKANNT As String = "Der Drucker ist unbekannt." _
    & vbCr & "ndern Sie den Postscript-Drucker im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."
Public Const sMSG_KEINEKOMMENTARE As String = "Das Dokument enthlt keine Kommentare." _
    & vbCr & "Fgen Sie dem Dokument Kommentare hinzu." _
    & vbCr & "Danach knnen Sie die Kommentare als PDF-Datei ausgeben."

'Texte der Subroutinen fbPSDatei_erzeugen und fsBasisDateiName_ermitteln
'-----------------------------------------------------------------------
Public Const sMSG_PRINTSWITCHUNBEKANNT As String = "Der Ausgabeumfang ist unbekannt." _
    & vbCr & "ndern Sie den Ausgabeumfang im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."

'Alle Texte der Subroutine fsBasisDateiName_ermitteln
'----------------------------------------------------
Public Const sNAMENSZUSATZ_MARKIERUNG As String = "_Markierung"
Public Const sNAMENSZUSATZ_EIGENSCHAFTEN As String = "_Eigenschaften"
Public Const sNAMENSZUSATZ_KOMMENTARE As String = "_Kommentare"
Public Const sNAMENSZUSATZ_FORMATVORLAGEN As String = "_Formatvorlagen"
Public Const sNAMENSZUSATZ_AUTOTEXTE As String = "_AutoTexte"
Public Const sNAMENSZUSATZ_TASTENBELEGUNG As String = "_Tastenbelegung"

'Alle Texte der Funktion fbEinVerzeichnis_erzeugen_ByParagraph
'-------------------------------------------------------------
Public Const sMSG_SCHUTZZUHOCH As String = _
    "Das Dokument ist geschtzt. Deshalb kann Gs4Word nicht prfen, ob Ihr Dokument " _
    & "berschriften fr Lesezeichen enthlt. Da Gs4Word Ihr Dokument nicht verndert, wird die " _
    & "PDF-Datei ohne Lesezeichen erzeugt." _
    & vbCr & "Um Lesezeichen zu erzeugen, mssen Sie den Dokumentenschutz im Word-Men 'Extras' " _
    & "aufheben oder auf 'berarbeitungen' setzen."

'Alle Texte der Funktion fbEinVerzeichnis_erzeugen_ByField
'---------------------------------------------------------
Public Const sMSG_INHALTSVERZEICHNISNICHTERZEUGT As String = _
    "Aus dem Inhaltsverzeichnis konnten keine PDF-Lesezeichen erzeugt werden." _
    & vbCr & "Prfen Sie, ob das Inhaltsverzeichnis einen fehlerhaften Eintrag enthlt. " _
    & "Erzeugen Sie es neu und versuchen Sie es noch einmal. Wenn das nicht funktioniert, " _
    & "wenden Sie sich an den Autor."
Public Const sMSG_ABBILDUNGSVERZEICHNISNICHTERZEUGT As String = _
    "Aus dem Abbildungsverzeichnis konnten keine PDF-Lesezeichen erzeugt werden." _
    & vbCr & "Prfen Sie, ob das Abbildungsverzeichnis einen fehlerhaften Eintrag enthlt. " _
    & "Erzeugen Sie es neu und versuchen Sie es noch einmal. Wenn das nicht funktioniert, " _
    & "wenden Sie sich an den Autor."
Public Const sTEXT_INHALTSVERZEICHNIS As String = "Inhaltsverzeichnis"
'OFFEN Der deutsche Text wird auch in fremdsprachigen Dokumenten verwendet. Hier ist ein anderes
'Konzept erforderlich!
Public Const sTEXT_ABBILDUNGSVERZEICHNIS As String = "Abbildungsverzeichnis"
'OFFEN Der deutsche Text wird auch in fremdsprachigen Dokumenten verwendet. Hier ist ein anderes
'Konzept erforderlich!


