VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} GLOB_UserForm 
   Caption         =   "UserForm1"
   ClientHeight    =   3225
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4710
   OleObjectBlob   =   "GLOB_UserForm.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "GLOB_UserForm"
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


















Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   PDF_Erzeugen_UF
' Effekt:
'   Das Modul zeigt eine UserForm mit den Einstellungen zum Erzeugen einer PDF-Datei an.
' Restriktionen:
'   Siehe Modul PDF_Global
' Entwicklung und Test:
'   Siehe Modul PDF_Global
' Copyright:
'   Siehe Modul PDF_Global
' Historie:
'   Siehe Modul PDF_Global

Private Const lWIDTHFONTFAKTOR As Single = 1.6

Private MultiPageKonfiguration As MSForms.MultiPage
    Private Page0 As MSForms.Page
        Private LabelTypeSwitch As MSForms.Label
        Private WithEvents ComboBoxTypeSwitch As MSForms.ComboBox
        Private LabelPrintSwitch As MSForms.Label
        Private WithEvents ComboBoxPrintSwitch As MSForms.ComboBox
        Private LabelAusgabeMedium As MSForms.Label
        Private WithEvents ComboBoxAusgabeMedium As MSForms.ComboBox
        Private LabelPDFDateiName As MSForms.Label
        Private TextBoxPDFDateiName As MSForms.TextBox
    Private Page1 As MSForms.Page
        Private LabelPdfOutSwitch As MSForms.Label
        Private WithEvents ComboBoxPdfOutSwitch As MSForms.ComboBox
        Private LabelPdfPageModeSwitch As MSForms.Label
        Private WithEvents ComboBoxPdfPageModeSwitch As MSForms.ComboBox
        Private LabelPdfViewSwitch As MSForms.Label
        Private WithEvents ComboBoxPdfViewSwitch As MSForms.ComboBox
        Private LabelPdfPageLayoutSwitch As MSForms.Label
        Private WithEvents ComboBoxPdfPageLayoutSwitch As MSForms.ComboBox
Private WithEvents CommandButtonOK As MSForms.CommandButton
Private WithEvents CommandButtonSpeichern As MSForms.CommandButton
Private WithEvents CommandButtonAbbrechen As MSForms.CommandButton
Private WithEvents CommandButtonHilfe As MSForms.CommandButton

Private Sub UserForm_Initialize()

    Const sCHECKBOX As String = "Forms.CheckBox.1"
    Const sCOMBOBOX As String = "Forms.ComboBox.1"
    Const sCOMMANDBUTTON As String = "Forms.CommandButton.1"
    Const sLABEL As String = "Forms.Label.1"
    Const sMULTIPAGE As String = "Forms.MultiPage.1"
    Const sTEXTBOX As String = "Forms.TextBox.1"
    Const iZEILENHOEHE As Integer = 20 'Hhe einer Zeile (Raster)
    Const iRANDHOEHE As Integer = 6 'Vertikaler Rand
    Const iRANDBREITE As Integer = 6 'Horizontaler Rand
    Const iLABELBREITE As Integer = 66
    Const iLABELHOEHE As Integer = 12
    Const iLABELHOFFSET As Integer = 2
    Const iBUTTONBREITE As Integer = 66
    Const iBUTTONHOEHE As Integer = 18
    Const iCOMBOBOXBREITE As Integer = 144
    Const iCOMBOBOXHOEHE As Integer = 15
    Const iTEXTBOXBREITE As Integer = 220
    Const iTEXTBOXHOEHE As Integer = 15
    
    Dim iTop As Integer
    Dim iTopMerkenOben As Integer
    Dim iTopMerkenPage0 As Integer
    Dim iTopMerkenPage1 As Integer
    Dim lKopf As Long
    Dim lButtonAbstand As Long
    
    giDialogEffekt = False
    iTopMerkenOben = 0
    iTopMerkenPage0 = 0
    iTopMerkenPage1 = 0
    lKopf = Me.Height - Me.InsideHeight  'fr die Hhe der Kopfzeile und Multipager-Reiter
  
    ' Alle Felder zur UserForm hinzufgen
    '------------------------------------
    
    '---------- Zeile 1 ----------
    iTop = iRANDHOEHE

    'MultiPageKonfiguration
    Set MultiPageKonfiguration = Me.Controls.Add(sMULTIPAGE, "MultiPageKonfiguration", True)
    
    iTopMerkenOben = iTop

    With MultiPageKonfiguration
    
        .Pages.Clear

        'Page0 -------------------------------------------------------------------------------------
        Set Page0 = .Pages.Add("Page0", sCAPTION_PAGE0, 0)
    
        With Page0
            iTop = iRANDHOEHE - iZEILENHOEHE 'iTop ist die vertikale Position der Zeile
            
            If UCase(Application.Name) = sTASKNAME_POWERPOINT Then
            
                '---------- Zeile 1 ----------
                iTop = iTop + iZEILENHOEHE
                       
                'LabelTypeSwitch
                Set LabelTypeSwitch = .Controls.Add(sLABEL, "LabelTypeSwitch", True)
                With LabelTypeSwitch
                    .Height = iLABELHOEHE
                    .Left = iRANDBREITE
                    .Top = iTop + iLABELHOFFSET
                    .Width = iLABELBREITE
                    .Caption = sCAPTION_LABELTYPESWITCH
                End With
                
                'ComboBoxTypeSwitch
                Set ComboBoxTypeSwitch = .Controls.Add(sCOMBOBOX, "ComboBoxTypeSwitch", True)
                With ComboBoxTypeSwitch
                    .Height = iCOMBOBOXHOEHE
                    .Left = iRANDBREITE + iLABELBREITE
                    .Top = iTop
                    .Width = iCOMBOBOXBREITE
                    .List() = gsTypeSwitchListe() 'muss in UserForm_Initialize() erfolgen
                    .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
                    .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
                    .Value = gsTypeSwitch 'Kombinationsfeld auf ersten Eintrag festlegen
                End With
            
            End If
            '---------- Zeile 2 oder 3 ----------
            iTop = iTop + iZEILENHOEHE
    
            'LabelPrintSwitch
            Set LabelPrintSwitch = .Controls.Add(sLABEL, "LabelPrintSwitch", True)
            With LabelPrintSwitch
                .Height = iLABELHOEHE
                .Left = iRANDBREITE
                .Top = iTop + iLABELHOFFSET
                .Width = iLABELBREITE
                .Caption = sCAPTION_LABELPRINTSWITCH
            End With
    
            'ComboBoxPrintSwitch
            Set ComboBoxPrintSwitch = .Controls.Add(sCOMBOBOX, "ComboBoxPrintSwitch", True)
            With ComboBoxPrintSwitch
                .Height = iCOMBOBOXHOEHE
                .Left = iRANDBREITE + iLABELBREITE
                .Top = iTop
                .Width = iCOMBOBOXBREITE
                .List() = gsPrintSwitchListe() 'muss in UserForm_Initialize() erfolgen
                .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
                .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
                .Value = gsPrintSwitch 'Kombinationsfeld auf ersten Eintrag festlegen
            End With
        
            '---------- Zeile 3 oder 4 ----------
            iTop = iTop + iZEILENHOEHE
        
            'LabelAusgabeMedium
            Set LabelAusgabeMedium = .Controls.Add(sLABEL, "LabelAusgabeMedium", True)
            With LabelAusgabeMedium
                .Height = iLABELHOEHE
                .Left = iRANDBREITE
                .Top = iTop + iLABELHOFFSET
                .Width = iLABELBREITE
                .Caption = sCAPTION_LABELAUSGABEMEDIUM
            End With
            
            'ComboBoxAusgabeMedium
            Set ComboBoxAusgabeMedium = .Controls.Add(sCOMBOBOX, "ComboBoxAusgabeMedium", True)
            With ComboBoxAusgabeMedium
                .Height = iCOMBOBOXHOEHE
                .Left = iRANDBREITE + iLABELBREITE
                .Top = iTop
                .Width = iCOMBOBOXBREITE
                .List() = gsAusgabeMedienListe() 'muss in UserForm_Initialize() erfolgen
                .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
                .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
                .Value = gsAusgabeMedium 'Kombinationsfeld auf ersten Eintrag festlegen
            End With
        
            '---------- Zeile 4 oder 5 ----------
            iTop = iTop + iZEILENHOEHE
            
            'LabelPDFDateiName
            Set LabelPDFDateiName = .Controls.Add(sLABEL, "LabelPDFDateiName", True)
            With LabelPDFDateiName
                .Height = iLABELHOEHE
                .Left = iRANDBREITE
                .Top = iTop + iLABELHOFFSET
                .Width = iLABELBREITE
                .Caption = sCAPTION_LABELPDFDATEINAME
            End With
        
            'TextBoxPDFDateiName
            Set TextBoxPDFDateiName = .Controls.Add(sTEXTBOX, "TextBoxPDFDateiName", True)
            With TextBoxPDFDateiName
                .Height = iTEXTBOXHOEHE
                .Left = iRANDBREITE + iLABELBREITE
                .Top = iTop
                .Width = iTEXTBOXBREITE
                .Value = gsBasisDateiName & sPDF
            End With
        
        End With
        
        iTopMerkenPage0 = iTop + lKopf + iTEXTBOXHOEHE
            'iTEXTBOXHOEHE fr die Hhe des letzten Elementes
        
        If gbPdfmarkFlag = True Then
            
            'Page1 -------------------------------------------------------------------------------------
            Set Page1 = .Pages.Add("Page1", sCAPTION_PAGE1, 1)
           
            With Page1
                iTop = iRANDHOEHE - iZEILENHOEHE 'iTop ist die vertikale Position der Zeile
                          
                If UCase(Application.Name) = sTASKNAME_WORD Then
                
                    '---------- Zeile 1 ----------
                    iTop = iTop + iZEILENHOEHE
                           
                    'LabelPdfOutSwitch
                    Set LabelPdfOutSwitch = .Controls.Add(sLABEL, "LabelPdfOutSwitch", True)
                    With LabelPdfOutSwitch
                        .Height = iLABELHOEHE
                        .Left = iRANDBREITE
                        .Top = iTop + iLABELHOFFSET
                        .Width = iLABELBREITE
                        .Caption = sCAPTION_LABELPDFOUTSWITCH
                    End With
                    
                    'ComboBoxPdfOutSwitch
                    Set ComboBoxPdfOutSwitch = .Controls.Add(sCOMBOBOX, "ComboBoxPdfOutSwitch", True)
                    With ComboBoxPdfOutSwitch
                        .Height = iCOMBOBOXHOEHE
                        .Left = iRANDBREITE + iLABELBREITE
                        .Top = iTop
                        .Width = iCOMBOBOXBREITE
                        .List() = gsPdfOutSwitchListe() 'muss in UserForm_Initialize() erfolgen
                        .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
                        .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
                        .Value = gsPdfOutSwitch 'Kombinationsfeld auf ersten Eintrag festlegen
                    End With
                
                End If
        
                '---------- Zeile 2 oder 3 ----------
                iTop = iTop + iZEILENHOEHE
        
                'LabelPdfPageModeSwitch
                Set LabelPdfPageModeSwitch = .Controls.Add(sLABEL, "LabelPdfPageModeSwitch", True)
                With LabelPdfPageModeSwitch
                    .Height = iLABELHOEHE
                    .Left = iRANDBREITE
                    .Top = iTop + iLABELHOFFSET
                    .Width = iLABELBREITE
                    .Caption = sCAPTION_LABELPDFPAGEMODESWITCH
                End With
        
                'ComboBoxPdfPageModeSwitch
                Set ComboBoxPdfPageModeSwitch = .Controls.Add(sCOMBOBOX, "ComboBoxPdfPageModeSwitch", True)
                With ComboBoxPdfPageModeSwitch
                    .Height = iCOMBOBOXHOEHE
                    .Left = iRANDBREITE + iLABELBREITE
                    .Top = iTop
                    .Width = iCOMBOBOXBREITE
                    .List() = gsPdfPageModeSwitchListe() 'muss in UserForm_Initialize() erfolgen
                    .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
                    .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
                    .Value = gsPdfPageModeSwitch 'Kombinationsfeld auf ersten Eintrag festlegen
                End With
        
                '---------- Zeile 3 oder 4 ----------
                iTop = iTop + iZEILENHOEHE
            
                'LabelPdfViewSwitch
                Set LabelPdfViewSwitch = .Controls.Add(sLABEL, "LabelPdfViewSwitch", True)
                With LabelPdfViewSwitch
                    .Height = iLABELHOEHE
                    .Left = iRANDBREITE
                    .Top = iTop + iLABELHOFFSET
                    .Width = iLABELBREITE
                    .Caption = sCAPTION_LABELPDFVIEWSWITCH
                End With
        
                'ComboBoxPdfViewSwitch
                Set ComboBoxPdfViewSwitch = .Controls.Add(sCOMBOBOX, "ComboBoxPdfViewSwitch", True)
                With ComboBoxPdfViewSwitch
                    .Height = iCOMBOBOXHOEHE
                    .Left = iRANDBREITE + iLABELBREITE
                    .Top = iTop
                    .Width = iCOMBOBOXBREITE
                    .List() = gsPdfViewSwitchListe() 'muss in UserForm_Initialize() erfolgen
                    .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
                    .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
                    .Value = gsPdfViewSwitch 'Kombinationsfeld auf ersten Eintrag festlegen
                End With
        
                '---------- Zeile 4 oder 5 ----------
                iTop = iTop + iZEILENHOEHE
                  
                'LabelPdfPageLayoutSwitch
                Set LabelPdfPageLayoutSwitch = .Controls.Add(sLABEL, "LabelPdfPageLayoutSwitch", True)
                With LabelPdfPageLayoutSwitch
                    .Height = iLABELHOEHE
                    .Left = iRANDBREITE
                    .Top = iTop + iLABELHOFFSET
                    .Width = iLABELBREITE
                    .Caption = sCAPTION_LABELPDFPAGELAYOUTSWITCH
                End With
                
                'ComboBoxPdfPageLayoutSwitch
                Set ComboBoxPdfPageLayoutSwitch = .Controls.Add(sCOMBOBOX, "ComboBoxPdfPageLayoutSwitch", True)
                With ComboBoxPdfPageLayoutSwitch
                    .Height = iCOMBOBOXHOEHE
                    .Left = iRANDBREITE + iLABELBREITE
                    .Top = iTop
                    .Width = iCOMBOBOXBREITE
                    .List() = gsPdfPageLayoutSwitchListe() 'muss in UserForm_Initialize() erfolgen
                    .Style = fmStyleDropDownList 'Dropdown-Liste verwenden
                    .BoundColumn = 1 'Werte im Kombinationsfeld entsprechen den Werten selbst
                    .Value = gsPdfPageLayoutSwitch 'Kombinationsfeld auf ersten Eintrag festlegen
                End With
                
            End With
        
            iTopMerkenPage1 = iTop + lKopf + iCOMBOBOXHOEHE
                'iCOMBOBOXHOEHE fr die Hhe des letzten Elementes
        
        End If

    End With
    
    ' Gre der MultiPage bestimmen
    '-----------------------------
    
    If iTopMerkenPage0 > iTopMerkenPage1 Then
        iTop = iTopMerkenPage0 + iRANDHOEHE
    Else
        iTop = iTopMerkenPage1 + iRANDHOEHE
    End If
    With MultiPageKonfiguration
        .Left = iRANDBREITE
        .Top = iTopMerkenOben
        .Width = iRANDBREITE + iLABELBREITE + iTEXTBOXBREITE + iRANDBREITE
        .Height = iTop
    End With
    
    '---------- ButtonZeile ----------
    iTop = iTop + iTopMerkenOben + iRANDHOEHE
    lButtonAbstand = (MultiPageKonfiguration.Width - (iBUTTONBREITE * 4)) / 3

    'CommandButtonOK
    Set CommandButtonOK = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonOK", True)
    With CommandButtonOK
        .Height = iBUTTONHOEHE
        .Left = iRANDBREITE
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION_COMMANDBUTTONOK
        .Default = True
        .TabIndex = 0
    End With

    'CommandButtonSpeichern
    Set CommandButtonSpeichern = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonSpeichern", True)
    With CommandButtonSpeichern
        .Height = iBUTTONHOEHE
        .Left = iRANDBREITE + (1 * iBUTTONBREITE) + (1 * lButtonAbstand)
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION_COMMANDBUTTONSPEICHERN
    End With

    'CommandButtonAbbrechen
    Set CommandButtonAbbrechen = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonAbbrechen", True)
    With CommandButtonAbbrechen
        .Height = iBUTTONHOEHE
        .Left = iRANDBREITE + (2 * iBUTTONBREITE) + (2 * lButtonAbstand)
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION_COMMANDBUTTONABBRECHEN
        .Cancel = True
    End With
  
    'CommandButtonHilfe
    Set CommandButtonHilfe = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonHilfe", True)
    With CommandButtonHilfe
        .Height = iBUTTONHOEHE
        .Left = iRANDBREITE + (3 * iBUTTONBREITE) + (3 * lButtonAbstand)
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION_COMMANDBUTTONHILFE
        .Cancel = True
    End With
                
    iTop = iTop + iBUTTONHOEHE 'Hhe der Buttons
    
    ' UserForm anpassen
    '------------------
    'Dialogfenster
    Me.Width = iRANDBREITE + MultiPageKonfiguration.Width + iRANDBREITE + 3
    Me.Height = iTop + lKopf + iRANDHOEHE

    Me.Caption = sCAPTION_PDFERZEUGENUF
    
End Sub

Private Sub ComboBoxTypeSwitch_Change()
    Dim sBasisDateiName As String
    Dim iFehlerNummer As Integer 'Fehlernumer aus GetAttr()
    
    On Error Resume Next
    sBasisDateiName = TextBoxPDFDateiName.Value
        'Nur zum Prfen, ob TextBoxPDFDateiName schon existiert
    iFehlerNummer = Err.Number
    On Error GoTo 0
    
    If iFehlerNummer = 0 Then 'Feld ist vorhanden
        gsTypeSwitch = ComboBoxTypeSwitch.Value
        Call ComboBoxPrintSwitch_Change
    End If
End Sub

Private Sub ComboBoxPrintSwitch_Change()
    Dim sPrintSwitch As String
    Dim sBasisDateiName As String
    Dim iFehlerNummer As Integer 'Fehlernumer aus GetAttr()
    
    On Error Resume Next
    sBasisDateiName = TextBoxPDFDateiName.Value
        'Nur zum Prfen, ob TextBoxPDFDateiName schon existiert
    iFehlerNummer = Err.Number
    On Error GoTo 0
    
    If iFehlerNummer = 0 Then 'Feld ist vorhanden
        'Gltige Werte merken
        sBasisDateiName = gsBasisDateiName
        sPrintSwitch = gsPrintSwitch
        
        gsPrintSwitch = ComboBoxPrintSwitch.Value
        gsBasisDateiName = fsBasisDateiName_ermitteln(gsSymbDateiName)
        If gsBasisDateiName = sLEER Then
            'gemerkte gltige Werte wieder setzen
            gsBasisDateiName = sBasisDateiName
            gsPrintSwitch = sPrintSwitch
            ComboBoxPrintSwitch.Value = gsPrintSwitch
        End If
        
        TextBoxPDFDateiName.Value = gsBasisDateiName & sPDF
    End If
    
End Sub

Private Sub CommandButtonOK_Click()
    Call Werte_laden
    giDialogEffekt = True
    Unload Me
End Sub

Private Sub CommandButtonSpeichern_Click()
    Call Werte_laden
    Call fbKonfiguration_schreiben(UCase(Application.Name))
End Sub

Private Sub CommandButtonAbbrechen_Click()
    giDialogEffekt = False
    Unload Me
End Sub

Private Sub CommandButtonHilfe_Click()
    MsgBox sMSG_HILFE _
    , vbInformation + vbOKOnly, sTITEL_HILFE
End Sub
Private Sub Werte_laden()
    'Werte von Page0
    If UCase(Application.Name) = sTASKNAME_POWERPOINT Then
        gsTypeSwitch = ComboBoxTypeSwitch.Value
    End If
    gsPrintSwitch = ComboBoxPrintSwitch.Value
    gsAusgabeMedium = ComboBoxAusgabeMedium.Value
    gsBasisDateiName = TextBoxPDFDateiName.Value
    If LCase(Right(gsBasisDateiName, Len(sPDF))) = LCase(sPDF) Then
        gsBasisDateiName = Left(gsBasisDateiName, Len(gsBasisDateiName) - Len(sPDF))
    End If
    
    'Werte von Page1
    If gbPdfmarkFlag = True Then
        If UCase(Application.Name) = sTASKNAME_WORD Then
            gsPdfOutSwitch = ComboBoxPdfOutSwitch.Value
        End If
        gsPdfPageModeSwitch = ComboBoxPdfPageModeSwitch.Value
        gsPdfViewSwitch = ComboBoxPdfViewSwitch.Value
        gsPdfPageLayoutSwitch = ComboBoxPdfPageLayoutSwitch.Value
    End If
    
End Sub

'===================================================================================================
'Ende.
'===================================================================================================

