Attribute VB_Name = "GLOB_ger"
Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
' Projekt:
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   GLOB_ger
'   Das Modul enthlt alle konstanten Texte zum Modul GLOB_Prozeduren und GLOB_UserForm fr die
'   Sprache ger.
'   Fr Englisch wird eine Kopie des Moduls unter dem Namen GLOB_eng erstellt.
' Restriktionen:
'   Keine
' Entwicklung und Test:
'   Siehe Modul GLOB_Prozeduren
' Copyright:
'   Siehe Modul GLOB_Prozeduren
' Historie:
'   Siehe Modul GLOB_Prozeduren

'Alle Texte die in allen Modulen verwendet werden
'------------------------------------------------
Public Const sTITEL_ERZEUGEN As String = "PDF-Datei erzeugen"
Public Const sTITEL_FEHLER As String = "Gs4Word Programmfehler"
Public Const sMSG_LAUFZEITFEHLER As String = "Ups - Ein Fehler im Programm." _
    & vbCr & "Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
Public Const sMSG_CASEELSE As String = "Ups - Gleich wird ein Programmfehler auftreten." _
    & vbCr & "Bitte notieren Sie diese Fehlermeldung und wenden Sie sich an den Autor."
    

'Alle Texte der Funktion MAILEN
'------------------------------
Public Const sMSG_KEINEGUELTIGEPDFDATEI As String = _
    "Es ist keine PDF-Datei vorhanden, die als Mailanhang versendet werden knnte." _
    & vbCr & "Erzeugen Sie zuerst eine PDF-Datei." _
    & vbCr & "Danach knnen Sie es erneut versuchen."
Public Const sMSG_KEINMAILPROGRAMM As String = _
    "Es ist kein Mailprogramm vorhanden, mit dem die PDF-Datei versendet werden knnte." _
    & vbCr & "Tragen Sie im Men 'PDF > Konfigurieren' ein Mailprogramm ein."
Public Const sMSG_MAILPROGRAMMUNBEKANNT As String = "Das Mailprogramm ist unbekannt"
Public Const sMSG_MAILTOPROZENTFEHLT As String = _
    "Der Parameter enthlt keine %-Zeichen als Platzhalter fr die PDF-Datei." _
    & vbCr & "ndern Sie ggf. den Parameter im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie erneut versuchen, die PDF-Datei als Mail zu versenden."

'Alle Texte der Prozedur fbKonfigurieren
'---------------------------------------
Public Const sMSG_KEINEVERBINDUNGZUWord As String = "Konnte keine Verbindung zu Word herstellen." _
    & vbCr & "Ist Microsoft-Word installiert?"
Public Const sMSG_KONFIGURATIONSADDINFEHLT As String = _
    "Kann das Konfiguartions-Add-In nicht laden. Ist es vorhanden?"
Public Const sMSG_KONFIGURATIONSMAKROFEHLT As String = _
    "Kann das Word-Makro nicht ausfhren. Ist es im Konfiguartions-Add-In vorhanden?"
Public Const sMSG_KONFIGURATIONSMAKROSCHLIESSEN As String = _
    "Kann das Konfiguartions-Add-In nicht schliessen. Wurde es schon geschlossen?"
Public Const sTITEL_KONFIGURATION As String = "Gs4Word konfigurieren"

'Alle Texte der Funktion Dateianlegen_pruefen
'--------------------------------------------
Public Const sMSG_DATEIKANNNICHTMEHRGELOESCHTWERDEN As String = _
    "Die Datei konnte zwar angelegt, aber nicht mehr gelscht werden." _
    & vbCr & "Es kann sein, dass die Datei von einem anderen Programm gesperrt wird." _
    & vbCr & "Prfen Sie die Ursache und lschen Sie die Datei." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."
Public Const sMSG_EXCELTABELLEDATEINAMEUNZULAESSIG As String = _
    "Die Datei kann nicht angelegt werden." _
    & vbCr & "Prfen Sie, ob alle Teile des Namens gltig sind." _
    & vbCr & "ndern Sie ggf. den Dateinamen im Men 'PDF > Konfigurieren'." _
    & vbCr & "Falls der Name der Excel-Tabelle kein gltiger Dateiname ist, mssen Sie ihn ndern " _
    & vbCr & "oder im Men 'PDF > Konfigurieren' das Erzeugen einer PDF-Datei je Excel-Tabelle " _
    & "ausschalten." _
    & vbCr & "Es knnte auch sein, dass die Datei existiert und von einem anderen Programm " _
    & "gesperrt wird." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."
Public Const sMSG_STANDARDDATEINAMEUNZULAESSIG As String = "Die Datei kann nicht angelegt werden." _
    & vbCr & "Prfen Sie ob alle Teile des Namens gltig sind." _
    & vbCr & "ndern Sie ggf. den Dateinamen im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."

'Alle Texte der Funktion fsAusgabeMedienListe_konvertieren
'---------------------------------------------------------
Public Const sAUSGABEMEDIUM_DEFAULT As String = "Standardeinstellung"
Public Const sAUSGABEMEDIUM_SCREEN As String = "fr den Bildschirm"
Public Const sAUSGABEMEDIUM_PRINTER As String = "fr einen Drucker"
Public Const sAUSGABEMEDIUM_PREPRESS As String = "fr eine Publikation"

'Alle Texte der Funktion fsMailToSwitch_konvertieren
'---------------------------------------------------
Public Const sMAILTOSWITCH_AUS As String = "Keine PDF-Dateien als Mail senden"
Public Const sMAILTOSWITCH_VERWENDEN As String = "Letzte erzeugte PDF-Datei als Mail senden"
Public Const sMAILTOSWITCH_NEUERZEUGEN As String = "PDF-Datei neu erzeugen und als Mail senden"

'Alle Texte der Funktion fsPDFPageLayoutSwitch_konvertieren
'----------------------------------------------------------
Public Const sPDFPAGELAYOUTSWITCH_DEFAULT As String = "Unverndert"
Public Const sPDFPAGELAYOUTSWITCH_SP As String = "Einzelne Seite"
Public Const sPDFPAGELAYOUTSWITCH_OC As String = "Fortlaufend"
Public Const sPDFPAGELAYOUTSWITCH_TCR As String = "Fortlaufende Doppelseiten (rechts)"
Public Const sPDFPAGELAYOUTSWITCH_TCL As String = "Fortlaufende Doppelseiten (links)"

'Alle Texte der Funktion fsPDFPageModeSwitch_konvertieren
'--------------------------------------------------------
Public Const sPDFPAGEMODESWITCH_AUTO As String = "Automatisch"
Public Const sPDFPAGEMODESWITCH_USENONE As String = "Kein Navigationsfenster"
Public Const sPDFPAGEMODESWITCH_USEOUTLINES As String = "Lesezeichen"
Public Const sPDFPAGEMODESWITCH_USETHUMBS As String = "Miniaturansichten"
Public Const sPDFPAGEMODESWITCH_FULLSCREEN As String = "Vollbild"

'Alle Texte der Funktion fsPDFViewSwitch_konvertieren
'----------------------------------------------------
Public Const sPDFVIEWSWITCH_XYZ As String = "Unverndert"
Public Const sPDFVIEWSWITCH_100 As String = "Originalgre"
Public Const sPDFVIEWSWITCH_FIT As String = "Ganze Seite"
Public Const sPDFVIEWSWITCH_FITH As String = "Fensterbreite"

'Alle Texte der Funktion fsPrintSwitch_konvertieren
'--------------------------------------------------
Public Const sPRINTSWITCH_WORD_DOKUMENT As String = "Ganzes Dokument"
Public Const sPRINTSWITCH_WORD_SEITE As String = "Aktuelle Seite"
Public Const sPRINTSWITCH_WORD_MARKIERUNG As String = "Markierung"
Public Const sPRINTSWITCH_WORD_EIGENSCHAFT As String = "Dokumenteneingenschaften"
Public Const sPRINTSWITCH_WORD_KOMMENTARE As String = "Kommentare"
Public Const sPRINTSWITCH_WORD_FORMATVORLAGEN As String = "Formatvorlagen"
Public Const sPRINTSWITCH_WORD_AUTOTEXTE As String = "AutoText-Eintrge"
Public Const sPRINTSWITCH_WORD_TASTENBELEGUNG As String = "Tastenbelegung"
Public Const sPRINTSWITCH_EXCEL_ARBEITSMAPPE As String = "Ganze Arbeitsmappe"
Public Const sPRINTSWITCH_EXCEL_TABELLE As String = "Aktuelle Tabelle"
Public Const sPRINTSWITCH_EXCEL_TABELLENAUSWAHL As String = "Ausgewhlte Tabellen"
Public Const sPRINTSWITCH_POWERPOINT_PRAESENTATION As String = "Ganze Prsentation"
Public Const sPRINTSWITCH_POWERPOINT_FOLIE As String = "Aktuelle Folie"
Public Const sPRINTSWITCH_POWERPOINT_FOLIENAUSWAHL As String = "Ausgewhlte Folien"

'Alle Texte der Funktion fsOutSwitch_konvertieren
'------------------------------------------------
Public Const sPDFOUTSWITCH_WORD_UEBERSCHRIFTENBIS1 = "berschriften nur Ebene 1"
Public Const sPDFOUTSWITCH_WORD_UEBERSCHRIFTENBIS2 = "berschriften bis Ebene 2"
Public Const sPDFOUTSWITCH_WORD_UEBERSCHRIFTENBIS3 = "berschriften bis Ebene 3"
Public Const sPDFOUTSWITCH_WORD_UEBERSCHRIFTENBIS4 = "berschriften bis Ebene 4"
Public Const sPDFOUTSWITCH_WORD_UEBERSCHRIFTENBIS5 = "berschriften bis Ebene 5"
Public Const sPDFOUTSWITCH_WORD_UEBERSCHRIFTENBIS6 = "berschriften bis Ebene 6"
Public Const sPDFOUTSWITCH_WORD_UEBERSCHRIFTENBIS7 = "berschriften bis Ebene 7"
Public Const sPDFOUTSWITCH_WORD_UEBERSCHRIFTENBIS8 = "berschriften bis Ebene 8"
Public Const sPDFOUTSWITCH_WORD_ALLEUEBERSCHRIFTEN = "Alle berschriften (Ebene 1 bis 9)"
Public Const sPDFOUTSWITCH_WORD_ALLEVERZEICHNISSE = "Alle Verzeichnisse"
Public Const sPDFOUTSWITCH_WORD_NURINHALTSVERZEICHNIS = "Nur Inhaltsverzeichnisse"
Public Const sPDFOUTSWITCH_WORD_KEINELESEZEICHEN = "Keine Lesezeichen"

'Alle Texte der Funktion fsTypeSwitch_konvertieren
'-------------------------------------------------
Public Const sTYPESWITCH_POWERPOINT_AKTIV As String = "Aktuelle Komponente"
Public Const sTYPESWITCH_POWERPOINT_FOLIEN As String = "Folien"
Public Const sTYPESWITCH_POWERPOINT_HANDZETTEL2 As String = "Handzettel (2 Folien je Seite)"
Public Const sTYPESWITCH_POWERPOINT_HANDZETTEL3 As String = "Handzettel (3 Folien je Seite)"
Public Const sTYPESWITCH_POWERPOINT_HANDZETTEL6 As String = "Handzettel (6 Folien je Seite)"
Public Const sTYPESWITCH_POWERPOINT_NOTIZEN As String = "Notizseiten"
Public Const sTYPESWITCH_POWERPOINT_GLIEDERUNG As String = "Gliederungsansicht"

'Alle Texte der Funktion fsSymbDateiName_umsetzen
'------------------------------------------------
Public Const sMSG_UNZULAESSIGEZEICHEN As String = " ist unzulssig in"
Public Const sMSG_KEINEPDFDATEI As String = "Der Dateiname fehlt in"
Public Const sTITEL_PDFDATEINAME As String = "Dateiname konfigurieren"

'Alle Texte der Funktion fsGhostscriptParameter_ermitteln
'--------------------------------------------------------
Public Const sMSG_AUSGABEMEDIUMUNBEKANNT As String = "Das Ausgabe-Medium ist unbekannt." _
    & vbCr & "Konfigurieren Sie das Add-In im Men 'PDF > Konfigurieren'." _
    & vbCr & "und besttigen Sie die Konfiguration dort mit 'OK'."

'Alle Texte der Prozedur fbInfo_anzeigen
'---------------------------------------
Public Const sINFOTEXT_COPYRIGHT As String = "Copyright: " & vbTab
Public Const sINFOTEXT_HOMEPAGE As String = "Homepage:" & vbTab
Public Const sINFOTEXT_LIZENZ As String = "Lizenz: " & vbTab & vbTab
Public Const sINFOTEXT_NAME As String = "Name:" & vbTab & vbTab
Public Const sINFOTEXT_SPRACHE As String = "Sprache:" & vbTab & vbTab & "Deutsch (ger)" & vbTab & vbTab
Public Const sINFOTEXT_VERSION As String = "Version: " & vbTab & vbTab
Public Const sINFOTEXT_DATEI As String = "Datei:" & vbTab & vbTab
Public Const sTITEL_INFO As String = "Gs4Word Info"

'Alle Texte der Funktion fbDatei_loeschen
'----------------------------------------
Public Const sMSG_DATEIISTGESPERRT As String = "Die Datei konnte nicht gelscht werden." _
    & vbCr & "Prfen Sie, welches Programm die Datei sperrt." _
    & vbCr & "Es knnte Ihr PDF-Betrachter sein."
Public Const sMSG_DATEIISTSCHREIBGESCHUETZT As String = "Die Datei ist schreibgeschtzt." _
    & vbCr & "Entfernen Sie den Schreibschutz und versuchen Sie es erneut."
Public Const sMSG_DATEIISTSYSTEMDATEI As String = "Die Datei ist eine Systemdatei." _
    & vbCr & "Sie drfen diese Datei nicht lschen."
Public Const sMSG_DATEIISTVERSTECKT As String = "Die Datei ist versteckt." _
    & vbCr & "ndern Sie das Dateiattribut und versuchen Sie es erneut."
Public Const sMSG_DATEIISTVERZEICHNIS As String = "Die Datei ist ein Verzeichnis." _
    & vbCr & "Diese Funktion lscht keine Verzeichnisse."

'Texte der Subroutine fbPSDateiPdfmark_ergaenzen
'-----------------------------------------------
'OFFEN sind die richtigen Namen der Felder
Public Const sMSG_PDFPAGELAYOUTSWITCHUNBEKANNT As String = "Das PDF-Layout ist unbekannt." _
    & vbCr & "ndern Sie das PDF-Layout im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."
Public Const sMSG_PDFPAGEMODESWITCHUNBEKANNT As String = "Das PDF-Fenster ist unbekannt." _
    & vbCr & "ndern Sie das PDF-Fenster im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."
Public Const sMSG_PDFVIEWSWITCHUNBEKANNT As String = "Die PDF-Anzeige ist unbekannt." _
    & vbCr & "ndern Sie die PDF-Anzeige im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."

'Alle Texte der Funktion fbPDFDatei_erzeugen
'-------------------------------------------
Public Const sMSG_GSPROGRAMMUNBEKANNT As String = "Das Ghostscript-Programm fehlt." _
    & vbCr & "ndern Sie den Eintrag fr Ghostscript im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie die PDF-Datei erzeugen."
Public Const sMSG_PDFDATEINICHTERZEUGT_1 As String = "Konnte die PDF-Datei konnte erzeugt " _
    & "werden?" _
    & vbCr & "Wenn Ghostscript die PDF-Datei erzeugt hat, setzen Sie in der Konfiguration " _
    & "die 'Maximale Wartezeit' auf einen hheren Wert und versuchen Sie es erneut. Dadurch " _
    & "wird das Programm nicht langsamer - es wartet nur etwas lnger darauf, das " _
    & "Ghostscript mit der Bearbeitung beginnt." _
    & vbCr & "Wenn das nicht hilft, wenden Sie sich an den Autor."
Public Const sMSG_PDFDATEINICHTERZEUGT_2 As String = "Wenn keine PDF-Datei erzeugt wurde, " _
    & "teilen Sie dem Autor folgende Fehlermeldung mit: " _
    & vbCr & "Der Programmaufruf von Ghostscript war: "
Public Const sMSG_PDFDATEINICHTERZEUGT_3 As String = _
    "Maximale Wartezeit / MaxGsWartezeit / GsWartezeit : "

'Alle Texte der Funktion fbPDFDatei_anzeigen
'-------------------------------------------
Public Const sMSG_PDFPROGRAMMUNBEKANNT As String = "Der PDF-Betrachter fehlt." _
    & vbCr & "ndern Sie den Eintrag fr PDF-Betrachter im Men 'PDF > Konfigurieren'." _
    & vbCr & "Danach knnen Sie die erzeugte PDF-Datei betrachten."

'Alle Texte der UserForm GLOB_UserForm
'-------------------------------------
Public Const sCAPTION_PAGE0 As String = "PDF-Datei"
Public Const sCAPTION_PAGE1 As String = "Adobe-Reader"
Public Const sCAPTION_CHECKBOXPDFBETRACHTERFLAG = "PDF-Datei anzeigen"
Public Const sCAPTION_CHECKBOXPSDATEILOESCHENFLAG As String = "PS-Datei lschen"
Public Const sCAPTION_COMMANDBUTTONSPEICHERN As String = "Speichern"
Public Const sCAPTION_COMMANDBUTTONABBRECHEN As String = "Abbrechen"
Public Const sCAPTION_COMMANDBUTTONHILFE As String = "Hilfe"
Public Const sCAPTION_COMMANDBUTTONOK As String = "OK"
Public Const sCAPTION_PDFERZEUGENUF As String = "Gs4Word PDF-Datei erzeugen"
Public Const sCAPTION_LABELAUSGABEMEDIUM As String = "Ausgabemedium:"
Public Const sCAPTION_LABELPRINTSWITCH As String = "Ausgabeumfang:"
Public Const sCAPTION_LABELTYPESWITCH As String = "Ausgabeelement:"
Public Const sCAPTION_LABELPDFOUTSWITCH As String = "Lesezeichen:"
Public Const sCAPTION_LABELPDFPAGEMODESWITCH As String = "Fenster:"
Public Const sCAPTION_LABELPDFVIEWSWITCH As String = "Anzeige:"
Public Const sCAPTION_LABELPDFPAGELAYOUTSWITCH As String = "Layout:"
Public Const sCAPTION_LABELPDFDATEINAME As String = "Dateiname:"
Public Const sMSG_HILFE As String = _
    "Sie knnen die Einstellungen vor dem Erzeugen der PDF-Detei verndern. " _
    & vbCr & "Mit 'OK' erzeugen Sie die PDF-Datei. Mit 'Abbrechen' brechen Sie den Vorgang ab." _
    & vbCr & "Der Button 'Speichern' speichert die aktuellen Einstellungen dauerhaft."
Public Const sTITEL_HILFE As String = "Gs4Word Hilfe"





