VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} INST_UF_Deinstallation 
   Caption         =   "UserForm1"
   ClientHeight    =   3225
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4710
   OleObjectBlob   =   "INST_UF_Deinstallation.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "INST_UF_Deinstallation"
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
























Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
' Projekt :
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   DOC_UF_Deinstallation
' Effekt:
'   Das Modul zeigt eine UserForm zur Deinstallation von Gs4Word an.
' Restriktionen:
'   Siehe Modul INST_Prozeduren
' Entwicklung und Test:
'   Siehe Modul INST_Prozeduren
' Copyright:
'   Siehe Modul INST_Prozeduren
' Historie:
'   Siehe Modul INST_Prozeduren

Private Const lWIDTHFONTFAKTOR As Single = 1.6

Private Const iNR_PAGEDEINSTANFANG As Integer = 0
Private Const iNR_PAGEDEINSTALLATION As Integer = 1
Private Const iNR_PAGEDEINSTERGEBNIS As Integer = 2

Private LabelUeberschrift As MSForms.Label
Private MultiPageKonfiguration As MSForms.MultiPage
    Private PageDeinstAnfang As MSForms.Page
        Private LabelAnfangHinweis As MSForms.Label
     Private PageDeinstallation As MSForms.Page
        Private LabelDeinstallation As MSForms.Label
        Private TextBoxDeinstallation As MSForms.TextBox
     Private PageDeinstErgebnis As MSForms.Page
        Private LabelDeinstErgebnis As MSForms.Label
        Private LabelSunkenDeinstErgebnis As MSForms.Label
        Private WithEvents CommandButtonDeinstErgebnis As MSForms.CommandButton
        Private LabelDeinstErgebnisHinweis As MSForms.Label
Private WithEvents CommandButtonZurueck As MSForms.CommandButton
Private WithEvents CommandButtonWeiter As MSForms.CommandButton
Private WithEvents CommandButtonFertig As MSForms.CommandButton
Private WithEvents CommandButtonAbbrechen As MSForms.CommandButton
Private WithEvents CommandButtonDokumentation As MSForms.CommandButton

Private Sub UserForm_Initialize()

    Const sCHECKBOX As String = "Forms.CheckBox.1"
    Const sCOMBOBOX As String = "Forms.ComboBox.1"
    Const sCOMMANDBUTTON As String = "Forms.CommandButton.1"
    Const sFRAME As String = "Forms.Frame.1"
    Const sLABEL As String = "Forms.Label.1"
    Const sMULTIPAGE As String = "Forms.MultiPage.1"
    Const sTEXTBOX As String = "Forms.TextBox.1"
    
    Const iZEILENHOEHE As Integer = 24 'Hhe einer Zeile (Raster)
    Const iRANDHOEHE As Integer = 10 'Vertikaler Rand
    Const iRANDBREITE As Integer = 6 'Horizontaler Rand
    Const iLABELBREITE As Integer = 66
    Const iLABELMITTELBREITE As Integer = 100
    Const iLABELBREITBREITE As Integer = 330
    Const iLABELSUNKENHOEHE As Integer = 15
    Const iLABELSUNKENBREITE As Integer = 270
    Const iLABELHOEHE As Integer = 12
    Const iLABELHOFFSET As Integer = 2
    Const iBUTTONBREITE As Integer = 66
    Const iBUTTONAENDERNBREITE As Integer = 54
    Const iBUTTONAENDERNHOFFSET As Integer = 2
    Const iBUTTONHOEHE As Integer = 18
    Const iTEXTBOXBREITE As Integer = 330
    Const iTEXTBOXHOEHE As Integer = 15
    Const iPAGEHOEHE As Integer = 150
    
    Dim iTop As Integer
    Dim iTopMerkenOben As Integer
    Dim iTopMerkenPageDeinstAnfang As Integer
    Dim iTopMerkenPageDeinstallation As Integer
    Dim iTopMerkenPageDeinstErgebnis As Integer
    Dim iBreite As Integer
    Dim iBreiteMerkenOben As Integer
    Dim iBreiteMerkenPageDeinstAnfang As Integer
    Dim iBreiteMerkenPageDeinstallation As Integer
    Dim iBreiteMerkenPageDeinstErgebnis As Integer
    Dim bInstallierenFlag As Boolean
    Dim lKopfHoehe  As Long
    Dim lReiterHoehe As Long
    Dim lButtonAbstand As Long
        
    'Intialisierung
    '--------------
    bInstallierenFlag = fbInstallieren(0)
    gsKonfigProgrammName = gsInstVerzeichnis & gsKonfigurationAddIn
    Call fbKonfiguration_mitTechnikDefaultsBelegen
    lKopfHoehe = Me.Height - Me.InsideHeight  'fr die Hhe der Kopfzeile und Multipager-Reiter
    lReiterHoehe = lKopfHoehe   'fr eine Reihe mit Reitern
       
    ' Alle Felder zur UserForm hinzufgen
    '------------------------------------
    
    '---------- Zeile 1 ----------
    iTop = iRANDHOEHE
    
    'LabelUeberschrift
    Set LabelUeberschrift = Me.Controls.Add(sLABEL, "LabelUeberschrift", True)
    With LabelUeberschrift
        .Height = iLABELHOEHE
        .Left = iRANDBREITE
        .Top = iTop
        .Width = iLABELBREITBREITE
        .Caption = sCAPTION__LABELDEUEBERSCHRIFT1 & sADDIN_NAME _
            & " (" & sCAPTION__LABELDEUEBERSCHRIFT2 & sADDIN_VERSION & ")" _
            & sCAPTION__LABELDEUEBERSCHRIFT3 & gsOfficeName _
            & " (" & sCAPTION__LABELDEUEBERSCHRIFT2 & Word.Application.Version & ")"
    End With
    
    'Hhe des letzten Elementes und Breite des breitesten Elementes bercksichtigen
    iTopMerkenOben = iTop + LabelUeberschrift.Height + iRANDHOEHE
    iBreiteMerkenOben = LabelUeberschrift.Left + LabelUeberschrift.Width
    
    '---------- Zeile 2 ----------
    iTop = iTop + iZEILENHOEHE
    
    'MultiPageKonfiguration
    Set MultiPageKonfiguration = Me.Controls.Add(sMULTIPAGE, "MultiPageKonfiguration", True)
    With MultiPageKonfiguration
        
        .Pages.Clear
    
        'PageDeinstAnfang
        '-------------------------------------------------------------------------------------------
        Set PageDeinstAnfang = .Pages.Add("PageDeinstAnfang", sCAPTION__PAGEDEINSTANFANG, iNR_PAGEDEINSTANFANG)
    
        With PageDeinstAnfang
            iTop = iRANDHOEHE - iZEILENHOEHE 'iTop ist die vertikale Position der Zeile
            
            '---------- Zeile 1 bis unten----------
            iTop = iTop + iZEILENHOEHE
            
            'LabelAnfangHinweis
            Set LabelAnfangHinweis = .Controls.Add(sLABEL, "LabelAnfangHinweis", True)
            With LabelAnfangHinweis
                .Height = iPAGEHOEHE - iTop
                .Left = iRANDBREITE
                .Top = iTop
                .Width = iLABELBREITBREITE
                .Caption = sCAPTION__LABELDEINSTANFANGHINWEIS
            End With
            
        End With
        
        'Hhe des letzten Elementes und Breite des breitesten Elementes bercksichtigen
        iTopMerkenPageDeinstAnfang = iTop + lReiterHoehe + LabelAnfangHinweis.Height
        iBreiteMerkenPageDeinstAnfang = LabelAnfangHinweis.Left + LabelAnfangHinweis.Width
        
        'PageDeinstallation
        '-------------------------------------------------------------------------------------------
        Set PageDeinstallation = .Pages.Add("PageDeinstallation", sCAPTION__PAGEDEINSTALLATION, 1)
       
        With PageDeinstallation
            iTop = iRANDHOEHE - iZEILENHOEHE 'iTop ist die vertikale Position der Zeile

            '---------- Zeile 1 ----------
            iTop = iTop + iZEILENHOEHE
            
            'LabelDeinstallation
            Set LabelDeinstallation = .Controls.Add(sLABEL, "LabelDeinstallation", True)
            With LabelDeinstallation
                .Height = iLABELHOEHE
                .Left = iRANDBREITE
                .Top = iTop
                .Width = iLABELBREITBREITE
                .Caption = sCAPTION__LABELDEINSTALLATION
            End With
            
            '---------- Zeile 2 ----------
            iTop = iTop + iZEILENHOEHE
            
            'TextBoxDeinstallation
            Set TextBoxDeinstallation = .Controls.Add(sTEXTBOX, "TextBoxDeinstallation", True)
            With TextBoxDeinstallation
                .Height = iPAGEHOEHE - iTop
                .Left = iRANDBREITE
                .Top = iTop
                .Width = iTEXTBOXBREITE
                .Locked = True
                .Value = sLEER
            End With
           
        End With
            
        'Hhe des letzten Elementes und Breite des breitesten Elementes bercksichtigen
        iTopMerkenPageDeinstallation = iTop + lReiterHoehe + TextBoxDeinstallation.Height
        iBreiteMerkenPageDeinstallation = TextBoxDeinstallation.Left + TextBoxDeinstallation.Width
            
        'PageDeinstErgebnis
        '-------------------------------------------------------------------------------------------
        Set PageDeinstErgebnis = .Pages.Add("PageDeinstErgebnis", sCAPTION__PAGEDEINSTERGEBNIS, _
            iNR_PAGEDEINSTERGEBNIS)
       
        With PageDeinstErgebnis
            iTop = iRANDHOEHE - iZEILENHOEHE 'iTop ist die vertikale Position der Zeile
            
            '---------- Zeile 1 ----------
            iTop = iTop + iZEILENHOEHE
            
            'LabelDeinstErgebnis
            Set LabelDeinstErgebnis = .Controls.Add(sLABEL, "LabelDeinstErgebnis", True)
            With LabelDeinstErgebnis
                .Height = iLABELHOEHE
                .Left = iRANDBREITE
                .Top = iTop
                .Width = iLABELBREITBREITE
                .Caption = sCAPTION__LABELDEINSTERGEBNIS
            End With
           
            '---------- Zeile 2 ----------
            iTop = iTop + iZEILENHOEHE
            
            'LabelSunkenDeinstErgebnis
            Set LabelSunkenDeinstErgebnis _
                = .Controls.Add(sLABEL, "LabelSunkenDeinstErgebnis", True)
            With LabelSunkenDeinstErgebnis
                .Height = iLABELSUNKENHOEHE
                .Left = iRANDBREITE
                .Top = iTop
                .Width = iLABELSUNKENBREITE
                .SpecialEffect = fmSpecialEffectSunken 'fmSpecialEffectEtched
                .Caption = sSPACE & fsDateiname_kuerzen(gsInstVerzeichnis & sINSTLOGBUCH, _
                    Int(LabelSunkenDeinstErgebnis.Width / LabelSunkenDeinstErgebnis.Font.Size _
                    * lWIDTHFONTFAKTOR))
            End With
            
            'CommandButtonDeinstErgebnis
            Set CommandButtonDeinstErgebnis = .Controls.Add(sCOMMANDBUTTON, _
               "CommandButtonDeinstErgebnis", True)
            With CommandButtonDeinstErgebnis
                .Height = iBUTTONHOEHE
                .Left = LabelSunkenDeinstErgebnis.Left + LabelSunkenDeinstErgebnis.Width + iRANDBREITE
                .Top = iTop - iBUTTONAENDERNHOFFSET
                .Width = iBUTTONAENDERNBREITE
                .Caption = sCAPTION__COMMANDBUTTONINSTERGEBNIS
            End With
                            
            '---------- Zeile 3 ----------
            iTop = iTop + iZEILENHOEHE
            
            'LabelDeinstErgebnisHinweis
            Set LabelDeinstErgebnisHinweis = .Controls.Add(sLABEL, "LabelDeinstErgebnisHinweis", True)
            With LabelDeinstErgebnisHinweis
                .Height = iPAGEHOEHE - iTop
                .Left = iRANDBREITE
                .Top = iTop
                .Width = iLABELBREITBREITE
            End With
                            
        End With
        
        'Hhe des letzten Elementes und Breite des breitesten Elementes bercksichtigen
        iTopMerkenPageDeinstErgebnis = iTop + lReiterHoehe + LabelDeinstErgebnisHinweis.Height
        iBreiteMerkenPageDeinstErgebnis = CommandButtonDeinstErgebnis.Left + CommandButtonDeinstErgebnis.Width
    
    End With
    
    ' Gre der MultiPage bestimmen
    '------------------------------
    If iTopMerkenPageDeinstAnfang > iTopMerkenPageDeinstallation Then
        iTop = iTopMerkenPageDeinstAnfang
    Else
        iTop = iTopMerkenPageDeinstallation
    End If
    If iTopMerkenPageDeinstErgebnis > iTop Then
        iTop = iTopMerkenPageDeinstErgebnis
    End If
    iTop = iTop + iRANDHOEHE
    
    If iBreiteMerkenPageDeinstAnfang > iBreiteMerkenPageDeinstallation Then
        iBreite = iBreiteMerkenPageDeinstAnfang
    Else
        iBreite = iBreiteMerkenPageDeinstallation
    End If
    If iBreiteMerkenPageDeinstErgebnis > iBreite Then
         iBreite = iBreiteMerkenPageDeinstErgebnis
    End If
    iBreite = iBreite + iRANDBREITE
       
    With MultiPageKonfiguration
        .Left = iRANDBREITE
        .Top = iTopMerkenOben
        .Width = iBreite
        .Height = iTop
        .MultiRow = True
    End With
    
    '---------- ButtonZeile ----------
    iTop = iTop + iTopMerkenOben + iRANDHOEHE
    lButtonAbstand = (MultiPageKonfiguration.Width - (iBUTTONBREITE * 5)) / 4
            
    'CommandButtonZurck
    Set CommandButtonZurueck = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonZurueck", True)
    With CommandButtonZurueck
        .Height = iBUTTONHOEHE
        .Left = iRANDBREITE + (0 * iBUTTONBREITE) + (0 * lButtonAbstand)
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION__COMMANDBUTTONZURUECK
    End With
  
    'CommandButtonWeiter
    Set CommandButtonWeiter = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonWeiter", True)
    With CommandButtonWeiter
        .Height = iBUTTONHOEHE
        .Left = iRANDBREITE + (1 * iBUTTONBREITE) + (1 * lButtonAbstand)
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION__COMMANDBUTTONWEITER
    End With
   
    'CommandButtonFertig
    Set CommandButtonFertig = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonFertig", True)
    With CommandButtonFertig
        .Height = iBUTTONHOEHE
        .Left = iRANDBREITE + (2 * iBUTTONBREITE) + (2 * lButtonAbstand)
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION__COMMANDBUTTONFERTIG
    End With
  
    'CommandButtonAbbrechen
    Set CommandButtonAbbrechen = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonAbbrechen", True)
    With CommandButtonAbbrechen
        .Height = iBUTTONHOEHE
        .Left = iRANDBREITE + (3 * iBUTTONBREITE) + (3 * lButtonAbstand)
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION__COMMANDBUTTONABBRECHEN
        .Cancel = True
    End With
    
    'CommandButtonDokumentation
    Set CommandButtonDokumentation = Me.Controls.Add(sCOMMANDBUTTON, "CommandButtonDokumentation", True)
    With CommandButtonDokumentation
        .Height = iBUTTONHOEHE
        .Left = iRANDBREITE + (4 * iBUTTONBREITE) + (4 * lButtonAbstand)
        .Top = iTop
        .Width = iBUTTONBREITE
        .Caption = sCAPTION__COMMANDBUTTONDOKUMENTATION
        If gsDokuAufruf = sLEER Then
            .Enabled = False
        End If
    End With
        
    iTop = iTop + iBUTTONHOEHE 'Hhe der Buttons
    
    ' UserForm anpassen
    '------------------
    'Dialogfenster
    Me.Width = iRANDBREITE + MultiPageKonfiguration.Width + iRANDBREITE + 3
    Me.Height = iTop + lKopfHoehe + iRANDHOEHE
    Me.Caption = sCAPTION__DOCDEINSTALLATIONUF
    
    Call fAnzeigeDefaults_setzen
    PageDeinstAnfang.Enabled = True
    MultiPageKonfiguration.Value = iNR_PAGEDEINSTANFANG 'Erste Karteikarte anzeigen
    
    CommandButtonZurueck.Enabled = False
    If bInstallierenFlag = False Then
        CommandButtonWeiter.Enabled = False
        CommandButtonFertig.Enabled = False
        CommandButtonAbbrechen.Default = True
        CommandButtonAbbrechen.SetFocus
    Else
        CommandButtonWeiter.Default = True
        CommandButtonWeiter.SetFocus
    End If

End Sub

Private Sub CommandButtonZurueck_Click()
    Dim lValue As Long
    
    lValue = MultiPageKonfiguration.Value
    Call fAnzeigeDefaults_setzen
    Select Case lValue
        Case iNR_PAGEDEINSTANFANG 'PageDeinstAnfang
        Case iNR_PAGEDEINSTALLATION 'Von PageDeinstallation zurck zu PageDeinstAnfang
            PageDeinstAnfang.Enabled = True
            MultiPageKonfiguration.Value = iNR_PAGEDEINSTANFANG 'Karteikarte anzeigen
            CommandButtonZurueck.Enabled = False
        Case iNR_PAGEDEINSTERGEBNIS
        Case Else
            MsgBox sMSG_CASEELSE & vbCr & "(CommandButtonZurueck_Click)" _
                , vbExclamation, sTITEL_ERZEUGEN
            Error 51
    End Select
End Sub

Private Sub CommandButtonWeiter_Click()
    Dim lValue As Long
    Dim bStatus As Boolean
    
    lValue = MultiPageKonfiguration.Value
    Call fAnzeigeDefaults_setzen
    Select Case lValue
        Case iNR_PAGEDEINSTANFANG 'Von PageDeinstAnfang weiter zu PageDeinstallation
            If fbInstallieren(1) = True Then
                bStatus = True
                If gsAktionen(1) = sLEER Then
                    PageDeinstAnfang.Enabled = True
                    MultiPageKonfiguration.Value = iNR_PAGEDEINSTANFANG 'Karteikarte anzeigen
                    CommandButtonZurueck.Enabled = False
                    CommandButtonWeiter.Enabled = False
                    CommandButtonFertig.Enabled = False
                    MsgBox sMSG_NICHTSZUDEINSTALLIEREN _
                        , vbExclamation, sTITEL_DEINSTALLIEREN
                    Exit Sub
                End If
            Else
                bStatus = False
            End If
            PageDeinstallation.Enabled = True
            MultiPageKonfiguration.Value = iNR_PAGEDEINSTALLATION 'Karteikarte anzeigen
            With TextBoxDeinstallation
                'Notwendig an dieser Stelle, da die Eigenschaften sich auf den aktuellen
                'Inhalt beziehen. Vielen Dank an Mathias Khler!
                .Value = gsAktionen(0) & gsAktionen(1)
                .WordWrap = False
                .MultiLine = True
                .ScrollBars = fmScrollBarsBoth
                .SetFocus 'notwendig fr CurLine und zur Anzeige beider Scrollbalken
                .CurLine = 0 'Erste Zeile (Zeile 0) anzeigen
                .Locked = True
            End With
            CommandButtonWeiter.Enabled = False
            If bStatus = True Then
                CommandButtonFertig.Caption = sCAPTION__COMMANDBUTTONFERTIG
                CommandButtonFertig.Enabled = True
                CommandButtonFertig.Default = True
                'CommandButtonFertig.SetFocus kein Focus setzen, denn sonst sind die waagerechten
                'Scrollbalken von TextBoxInstallation nicht mehr sichtbar.
            Else
                CommandButtonAbbrechen.Default = True
                'CommandButtonAbbrechen.SetFocus kein Focus setzen, denn sonst sind die waagerechten
                'Scrollbalken von TextBoxInstallation nicht mehr sichtbar.
            End If
        'Case iNR_PAGEDEINSTALLATION 'Von PageDeinstallation weiter zu PageDeinstErgebnis
        '   kommt nur bei CommandButtonFertig vor
        'Case iNR_PAGEDEINSTERGEBNIS
        '   kommt nur bei CommandButtonFertig vor
        Case Else
            MsgBox sMSG_CASEELSE & vbCr & "(CommandButtonWeiter_Click)" _
                , vbExclamation, sTITEL_ERZEUGEN
            Error 51
    End Select
End Sub
Private Sub CommandButtonFertig_Click()
    Const iWARTEN As Integer = 0
    Dim lValue As Long
    Dim bStatus As Boolean
    Dim bFertigstellen As Boolean
    Dim iZaehler As Integer
    
    If CommandButtonWeiter.Enabled = True _
    And MultiPageKonfiguration.Value = iNR_PAGEDEINSTANFANG Then  'Von PageDeinstAnfang weiter zu PageDeinstallation
        Call CommandButtonWeiter_Click
        DoEvents
        bFertigstellen = True
        Call fbWarten(iWARTEN)
    End If
    
    lValue = MultiPageKonfiguration.Value
    Select Case lValue
        Case iNR_PAGEDEINSTANFANG
            CommandButtonFertig.Enabled = False
        Case iNR_PAGEDEINSTALLATION 'Von PageDeinstallation weiter zu PageDeinstErgebnis
            Call fAnzeigeDefaults_setzen
            bStatus = False
            PageDeinstallation.Enabled = True
            MultiPageKonfiguration.Value = lValue 'unverndert lassen
            CommandButtonZurueck.Enabled = False
            CommandButtonWeiter.Enabled = False
            CommandButtonFertig.Enabled = False
            CommandButtonAbbrechen.Enabled = False
            CommandButtonDokumentation.Enabled = False
            
            TextBoxDeinstallation.Value = sMSG_AKTION_4
            PageDeinstallation.Repaint 'Sofort Anzeigen
            fbWarten (2) 'Zeit zum Lesen geben
            Call fbAddIn_deaktivieren
            If fbInstallieren(4) = True Then
                bStatus = True
            End If
            Call fbProtokoll_schreiben
            PageDeinstallation.Enabled = False
            
            PageDeinstErgebnis.Enabled = True
            MultiPageKonfiguration.Value = iNR_PAGEDEINSTERGEBNIS 'Karteikarte anzeigen
            CommandButtonFertig.Caption = sCAPTION__COMMANDBUTTONFERTIG_ENDE
            CommandButtonFertig.Enabled = True
            CommandButtonFertig.Default = True
            CommandButtonFertig.SetFocus
            CommandButtonDokumentation.Enabled = True
            If bStatus = True Then
                LabelDeinstErgebnisHinweis.Caption = sCAPTION__LABELDEINSTERGEBNISHINWEIS_TRUE _
                    & vbCr & fsDateiname_kuerzen(gsInstVerzeichnis, _
                    Int(LabelDeinstErgebnisHinweis.Width / LabelDeinstErgebnisHinweis.Font.Size _
                    * lWIDTHFONTFAKTOR))
            Else
                LabelDeinstErgebnisHinweis.Caption = sCAPTION__LABELDEINSTERGEBNISHINWEIS_FALSE
            End If
        Case iNR_PAGEDEINSTERGEBNIS
            gbDialogEffekt = True
            Unload Me
        Case Else
            MsgBox sMSG_CASEELSE & vbCr & "(CommandButtonWeiter_Click)" _
                , vbExclamation, sTITEL_ERZEUGEN
            Error 51
    End Select
End Sub
Private Sub CommandButtonAbbrechen_Click()
    gbDialogEffekt = False
    Unload Me
End Sub
Private Sub CommandButtonDokumentation_Click()
    Dim vtaskId As Variant 'Task-ID eines mit Shell aufgerufenen Programms
    
    vtaskId = Shell(gsDokuAufruf, 3)
    If vtaskId <> 0 Then 'Der Wert ist unter NT 4.0 immer positiv, unter ME auch negativ
        'Shell wird asynchron verarbeitet, deshalb zuerst solange warten, bis das Programm
        'gestartet ist. Das dauert maximal so lange, wie der Start von Ghostscript gedauert htte.
        Call fbWarten(giGsWartezeit)
    End If
    On Error Resume Next
    AppActivate vtaskId
        'Wenn der Browser schon geffnet ist, erzeugt AppActivate einen Laufzeitfehler 5
    On Error GoTo 0
End Sub
Private Sub CommandButtonDeinstErgebnis_Click()

    Dim vtaskId As Variant 'Task-ID eines mit Shell aufgerufenen Programms
    Dim sAufruf As String
    Dim lPos As Long
    
    vtaskId = Shell(gsLogbuchAufruf, 3)
    If vtaskId <> 0 Then 'Der Wert ist unter NT 4.0 immer positiv, unter ME auch negativ
        'Shell wird asynchron verarbeitet, deshalb zuerst solange warten, bis das Programm
        'gestartet ist. Das dauert maximal so lange, wie der Start von Ghostscript gedauert htte.
        Call fbWarten(giGsWartezeit)
    End If
    On Error Resume Next
    AppActivate vtaskId
        'Wenn Notepad schon geffnet ist, erzeugt AppActivate einen Laufzeitfehler 5
    On Error GoTo 0

End Sub

'===================================================================================================
'Alle Privaten Prozeduren und Funktionen, die nur in DOC_UF_Installation verwendet werden.
'===================================================================================================
Private Sub fAnzeigeDefaults_setzen()
    CommandButtonZurueck.Enabled = True
    CommandButtonWeiter.Enabled = True
    CommandButtonFertig.Enabled = True
    CommandButtonAbbrechen.Enabled = True
    PageDeinstAnfang.Enabled = False
    PageDeinstallation.Enabled = False
    PageDeinstErgebnis.Enabled = False

End Sub

'===================================================================================================================
'Ende.
'===================================================================================================================


