Attribute VB_Name = "INST_ger"
Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
' Projekt :
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   INST_ger
'   Das Modul enthlt alle konstanten Texte zum Modul INST_Prozeduren fr die Sprache ger.
'   Fr Englisch wird eine Kopie des Moduls unter dem Namen INST_eng erstellt.
' Restriktionen:
'   Keine
' Entwicklung und Test:
'   Siehe Modul INST_Prozeduren
' Copyright:
'   Siehe Modul INST_Prozeduren
' Historie:
'   Siehe Modul INST_Prozeduren

'Alle Texte die in allen Modulen verwendet werden
'------------------------------------------------
Public Const sTITEL_INSTALLIEREN As String = "Gs4Word installieren"
    
'Alle Texte der Prozedur ALLEADDINSERZEUGEN
'------------------------------------------
Public Const sMSG_KEINEKOPIEDESINSTADDIN  As String = _
    "Das Installations-Add-In, mit dem alle Add-Ins erzeugt werden, muss temporr einen anderen " _
    & "Namen haben. Es kann sich nicht selbst erzeugen."
 Public Const sALLEADDINSERZEUGT_MIT As String = _
    "Alle Add-Ins wurde fehlerfrei gesichert und aus den Sourcen neu erzeugt. Sie enthalten alle " _
    & "Kommentare und knnen zur Weiterentwicklung verwendet werden. Durch die Kommentare sind " _
    & "sie grer als erforderlich." _
    & vbCr & "ACHTUNG: Manchmal zeigt das so erzeugte Word-Add-In in Office 97 den PDF-Button " _
    & "nicht automatisch an. Dann mssen Sie das Add-In im Installationsverzeichnis einmal " _
    & "ffnen, im VBA-Editor eine nderung an einem Kommentar vornehmen und das Add-In " _
    & "speichern. Danach wiederholen Sie die Installation." _
    & vbCr & vbCr & "Wenn Sie die Add-Ins in ihrer kompakten Form ohne Kommentare installieren " _
    & "wollen, mssen Sie die Add-Ins entweder so erzeugen oder Sie aktivieren bei der Installation " _
    & "von Gs4Word auf der Karteikartei 'Add-Ins erzeugen' alle Kontrollkstchen. Das oben " _
    & "genannte Problem tritt bei diesen Add-Ins nicht auf."
 Public Const sALLEADDINSERZEUGT_OHNE As String = _
    "Alle Add-Ins wurde fehlerfrei gesichert und aus den Sourcen neu erzeugt. Sie enthalten keine " _
    & "Kommentare und knnen nicht zur Weiterentwicklung verwendet werden."

'Alle Texte der Funktion fbInstallieren
'--------------------------------------
Public Const sMSG_OFFICEVERSIONUNBEKANNT As String = _
    "Diese Version von Microsoft Office ist unbekannt." _
    & vbCr & "Wenden Sie sich an den Autor."
Public Const sMSG_OFFICE97OHNESP2 As String = _
    "Sie verwenden anscheinend Office 97 ohne Service Release 2 (SR-2). " _
    & "Gs4Word sollte ohne dieses Service Release nicht installiert werden." _
    & vbCr & "Brechen Sie die Installation ab. Installieren Sie beide Service Releases SR-1 und " _
    & "SR-2 fr Office 97. Danach knnen Sie Gs4Word ohne diesen Hinweis installieren." _
    & vbCr & "Falls SR-2 bei Ihnen schon installiert ist, senden Sie bitte eine Mail an den Autor. " _
    & "Ob das Service Release installiert ist, sehen Sie im Word-Men unter '? > Info'"
Public Const sTITEL_LOGBUCH As String = "Gs4Word Installationsprotokoll"
        
'Alle Texte der Funktion fbWord_installieren
'-------------------------------------------
Public Const sMSG_WORDLAEUFTMEHRFACH As String = _
    "Word luft auf Ihrem Rechner zur Zeit mehrfach. " _
    & vbCr & "Bitte beenden Sie alle anderen Instanzen von Word und versuchen Sie es erneut."

'Alle Texte der Funktion fbExcel_installieren
'--------------------------------------------
Public Const sMSG_EXCELLAEUFT As String = _
    "Excel luft zur Zeit auf Ihrem Rechner. " _
    & vbCr & "Bitte beenden Sie Excel und versuchen Sie es erneut."

'Alle Texte der Funktion fbPowerpoint_installieren
'-------------------------------------------------
Public Const sMSG_POWERPOINTLAEUFT As String = _
    "Powerpoint luft zur Zeit auf Ihrem Rechner. " _
    & vbCr & "Bitte beenden Sie Powerpoint und versuchen Sie es erneut."

'Alle Texte der Funktion fbDatei_kopieren
'----------------------------------------
Public Const sMSG_KDATEIISTGESPERRT As String = "Die Datei konnte nicht gelscht werden." _
    & vbCr & "Prfen Sie, welches Programm die Datei sperrt." _
    & vbCr & "Es knnte ein Office-Programm sein."
Public Const sMSG_KDATEIISTSCHREIBGESCHUETZT As String = "Die Datei ist schreibgeschtzt." _
    & vbCr & "Entfernen Sie den Schreibschutz und versuchen Sie es erneut."
Public Const sMSG_KDATEIISTSYSTEMDATEI As String = "Die Datei ist eine Systemdatei." _
    & vbCr & "Sie drfen diese Datei nicht kopieren."
Public Const sMSG_KDATEIISTVERSTECKT As String = "Die Datei ist versteckt." _
    & vbCr & "ndern Sie das Dateiattribut und versuchen Sie es erneut."
Public Const sMSG_KDATEIISTVERZEICHNIS As String = "Die Datei ist ein Verzeichnis." _
    & vbCr & "Diese Funktion lscht keine Verzeichnisse."
Public Const sMSG_KDATEIFEHLT As String = _
    "Die zu kopierende Datei wurde zwischenzeitlich gelscht." _
    & vbCr & "Prfen Sie die Ursache und versuchen Sie es erneut."
Public Const sMSG_KDATEIKANNNICHTKOPIERTWERDEN As String = _
    "Die Datei konnte nicht kopiert werden." _
    & vbCr & "Prfen Sie die Ursache und versuchen Sie es erneut."

'Alle Texte der Funktion fbInstfbInstallationsdateienPruefen
'-----------------------------------------------------------
Public Const sMSG_DATEIFEHLT As String = _
    "Gs4Word ist unvollstndig. Es fehlt mindestens eine Datei. Verschaffen Sie sich bitte " _
    & "eine vollstndige Version des Programms und versuchen Sie es damit erneut."
Public Const sMSG_VERZEICHNISFEHLT As String = _
    "Gs4Word ist unvollstndig. Es fehlt mindestens ein Verzeichnis. Verschaffen Sie sich bitte " _
    & "eine vollstndige Version des Programms und versuchen Sie es damit erneut."

'Alle Texte der Funktionen fbInstallationAddInErzeugen, fbKonfigurationAddInErzeugen
'und fbWordAddInErzeugen
'-----------------------------------------------------------------------------------
Public Const sMSG_SOURCEFEHLT As String = _
    "Gs4Word ist unvollstndig. Es fehlt mindestens eine Source. Verschaffen Sie sich bitte " _
    & "eine vollstndige Version des Programms und versuchen Sie es damit erneut."
Public Const sMSG_KEINEWEITEREVERBINDUNGZUWORD As String = _
    "Es konnte keine weitere Word-Instanz erzeugt werden." _
    & vbCr & "Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
Public Const sMSG_WORDSOURCENICHTLADBAR As String = _
    "Das Word-Add-In konnte auf Ihrem Rechner nicht erzeugt werden." _
    & vbCr & "Aktivieren Sie fr die Zeit der Installation im Word-Menu " _
    & "'Extras > Makro >Sicherheit > Vertrauenswrdige Quellen' das Kontrollkstchen " _
    & "'Zugriff auf Visual-Basic-Projekt vertrauen'. und versuchen Sie es erneut. " _
    & vbCr & "Wenn das nicht funktioniert wenden Sie sich an den Autor."
Public Const sMSG_EXCELSOURCENICHTLADBAR As String = _
    "Das Excel-Add-In konnte auf Ihrem Rechner nicht erzeugt werden." _
    & vbCr & "Aktivieren Sie fr die Zeit der Installation im Excel-Menu " _
    & "'Extras > Makro >Sicherheit > Vertrauenswrdige Quellen' das Kontrollkstchen " _
    & "'Zugriff auf Visual-Basic-Projekt vertrauen'. und versuchen Sie es erneut. " _
    & vbCr & "Wenn das nicht funktioniert wenden Sie sich an den Autor."
Public Const sMSG_POWERPOINTSOURCENICHTLADBAR As String = _
    "Das Powerpoint-Add-In konnte auf Ihrem Rechner nicht erzeugt werden." _
    & vbCr & "Aktivieren Sie fr die Zeit der Installation im Powerpoint-Menu " _
    & "'Extras > Makro >Sicherheit > Vertrauenswrdige Quellen' das Kontrollkstchen " _
    & "'Zugriff auf Visual-Basic-Projekt vertrauen'. und versuchen Sie es erneut. " _
    & vbCr & "Wenn das nicht funktioniert, wenden Sie sich an den Autor."
Public Const sMSG_INSTALLATIONSADDINNICHTERZEUGT As String = _
    "Das Installations-Add-In konnte auf Ihrem Rechner nicht erzeugt werden." _
    & vbCr & "Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
Public Const sMSG_KONFIGADDINNICHTERZEUGT As String = _
    "Das Konfigurations-Add-In konnte auf Ihrem Rechner nicht erzeugt werden." _
    & vbCr & "Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
Public Const sMSG_WORDADDINNICHTERZEUGT As String = _
    "Das Word-Add-In konnte auf Ihrem Rechner nicht erzeugt werden." _
    & vbCr & "Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
    
'Alle Texte der Funktion fbExcelAddInErzeugen
'--------------------------------------------
Public Const sMSG_KEINEVERBINDUNGZUEXCEL As String = _
    "Es konnte keine Verbindung zu Excel aufgenommen werden." _
    & vbCr & "Ist Excel auf Ihrem Rechner installiert?"
Public Const sMSG_EXCELADDINNICHTERZEUGT As String = _
    "Das Excel-Add-In konnte auf Ihrem Rechner nicht erzeugt werden." _
    & vbCr & "Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
    
'Alle Texte der Funktion fbPowerpointAddInErzeugen
'-------------------------------------------------
Public Const sMSG_KEINEVERBINDUNGZUPOWERPOINT As String = _
    "Es konnte keine Verbindung zu Powerpoint aufgenommen werden." _
    & vbCr & "Ist Powerpoint auf Ihrem Rechner installiert?"
Public Const sMSG_POWERPOINTADDINNICHTERZEUGT As String = _
    "Das Powerpoint-Add-In konnte auf Ihrem Rechner nicht erzeugt werden." _
    & vbCr & "Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
    
'Alle Texte der Funktion fbSecurity_aendern
'------------------------------------------
Public Const sMSG_SICHERHEITSWERTNICHTAENDERBAR As String = _
    "Die Sicherheitseinstellungen konnten nicht vollstndig verndert werden. Bitte berprfen " _
    & "Sie die Einstellungen im angegebenen Programm unter 'Extras > Makros > Sicherheit...'. " _
    & vbCr & "Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
    
'Alle Texte der UserForm INST_UF_Installation
'--------------------------------------------
'berschrift
Public Const sCAPTION__DOCINSTALLATIONUF As String = "Gs4Word installieren"
Public Const sCAPTION__LABELUEBERSCHRIFT1 As String = "Installation von "
Public Const sCAPTION__LABELUEBERSCHRIFT2 As String = "Version "
Public Const sCAPTION__LABELUEBERSCHRIFT3 As String = " in "
'Buttons
Public Const sCAPTION__COMMANDBUTTONZURUECK As String = "< Zurck..."
Public Const sCAPTION__COMMANDBUTTONWEITER As String = "Weiter... >"
Public Const sCAPTION__COMMANDBUTTONFERTIG As String = "Fertigstellen"
Public Const sCAPTION__COMMANDBUTTONFERTIG_ENDE As String = "Fertig"
Public Const sCAPTION__COMMANDBUTTONABBRECHEN As String = "Abbrechen"
Public Const sCAPTION__COMMANDBUTTONDOKUMENTATION As String = "Dokumentation"
'PageAnfang
Public Const sCAPTION__PAGEANFANG As String = "Anfang"
Public Const sCAPTION__LABELANFANGHINWEIS As String = _
    "Die Installation von Gs4Word erfolgt in mehreren Schritten:" _
    & vbCr & vbCr & "Zuerst wird geprft, ob alle erforderlichen Programme vorhanden sind. " _
    & "Welche das sind, ist in der Dokumentation von Gs4Word beschrieben." _
    & vbCr & vbCr _
    & "Dann legen Sie fest, welche Add-Ins (Word, Excel, Powerpoint) Sie installieren " _
    & "wollen und ob diese Add-Ins neu erzeugt werden sollen." _
    & vbCr & vbCr _
    & "Das Programm prft, ob alte Versionen von Gs4Word deinstalliert werden " _
    & "mssen. Es zeigt Ihnen an, welche Vernderungen es an Ihrem System vornehmen wird, " _
    & "um Gs4Word zu installieren." _
    & vbCr & vbCr _
    & "Nach der Installation knnen Sie die Add-Ins konfigurieren und im " _
    & "Installationslogbuch nachsehen, was an Ihrem System verndert wurde."
Public Const sCAPTION__LABELANFANGHINWEIS_FERTIG As String = _
    "Die Installation von Gs4Word erfolgt in mehreren Schritten:" _
    & vbCr & vbCr & "Zuerst wird geprft, ob alle erforderlichen Programme vorhanden sind. " _
    & "Welche das sind, ist in der Dokumentation von Gs4Word beschrieben." _
    & vbCr _
    & "Dann legen Sie fest, welche Add-Ins (Word, Excel, Powerpoint) Sie installieren " _
    & "wollen und ob diese Add-Ins neu erzeugt werden sollen." _
    & vbCr _
    & "Das Programm prft, ob alte Versionen von Gs4Word deinstalliert werden " _
    & "mssen. Es zeigt Ihnen an, welche Vernderungen es an Ihren System vornehmen wird, " _
    & "um Gs4Word zu installieren." _
    & vbCr _
    & "Nach der Installation knnen Sie die Add-Ins konfigurieren und im " _
    & "Installationslogbuch nachsehen, was an Ihrem System verndert wurde." _
    & vbCr & vbCr _
    & "Da alle Voraussetzungen gegeben sind, knnen Sie die Installation auch sofort Fertigstellen."
'PageInstVerzeichnis
Public Const sCAPTION__PAGEINSTVERZEICHNIS As String = "Verzeichnis"
Public Const sCAPTION__LABELINSTVERZEICHNIS As String = "Installationsverzeichnis:"
Public Const sCAPTION__LABELKONFIGURATIONHINWEIS As String = ""
Public Const sCAPTION__COMMANDBUTTONINSTVERZEICHNIS As String = "ndern..."
Public Const sCAPTION__LABELINSTVERZEICHNISHINWEIS_1 As String = _
    "Gs4Word wird in dem Verzeichnis installiert, in dem Sie das Zip-Archiv "
Public Const sCAPTION__LABELINSTVERZEICHNISHINWEIS_2 As String = _
    " ausgepackt haben. Wenn Sie Gs4Word in einem anderen Verzeichnis installieren wollen, " _
    & "mssen Sie das Zip-Archiv dort auspacken und dort das Installations-Add-In starten."
'PagePSDrucker
Public Const sCAPTION__PAGEPSDRUCKER As String = "Druckertreiber"
Public Const sCAPTION__LABELPSDRUCKER As String = "Postscript-Drucker:"
Public Const sCAPTION__COMMANDBUTTONAENDERN As String = "ndern..."
Public Const sCAPTION__CHECKBOXDATEIUMLEITUNGSFLAG As String = _
    "In Word Drucker-Ausgabe nicht mehr in Datei umleiten"
Public Const sCAPTION__LABELPSDRUCKERHINWEIS_LEER As String = _
    "Es wurde kein Postscript-Druckertreiber gefunden, den Gs4Word automatisch erkennt. " _
    & "Wenn Sie den 'Adobe Universal PostScript Windows Driver' schon installiert haben, " _
    & "whlen Sie ihn mit dem Button 'ndern...' aus. Wenn Sie ihn nicht installiert haben, " _
    & "brechen Sie die Installation ab, schauen Sie in die Dokumentation von Gs4Word und " _
    & "installieren Sie zuerst den Druckertreiber."
Public Const sCAPTION__LABELPSDRUCKERHINWEIS_OK_MIT As String = _
    "Gut - Sie haben schon einen passenden Postschript-Druckertreiber und RedMon installiert."
Public Const sCAPTION__LABELPSDRUCKERHINWEIS_OK_OHNE As String = _
    "Gut - Sie haben schon einen passenden Postschript-Druckertreiber installiert." _
    & vbCr & vbCr _
    & "Den Schalter 'In Word Drucker-Ausgabe nicht mehr in Datei umleiten' kann erst gesetzt " _
    & "werden, wenn RedMon installiert und bei diesem Drucker eingerichtet wurde. Details finden " _
    & "Sie im entsprechenden Kapitel in der Dokumentation von Gs4Word."
'PageGSProgramm
Public Const sCAPTION__PAGEGSPROGRAMM As String = "Ghoststript"
Public Const sCAPTION__LABELGSPROGRAMM As String = "Ghostscript:"
Public Const sCAPTION__LABELGSPROGRAMMHINWEIS_LEER As String = _
    "Es wurde keine Installation von Ghostscript 7.xx gefunden. " _
    & "Whlen Sie mit dem Button 'ndern...' das Ghostscript-Programm aus. " _
    & "Wenn Sie Ghostscript nicht installiert haben, brechen Sie die Installation ab, schauen Sie " _
    & "in die Dokumentation von Gs4Word und installieren Sie das Programm."
Public Const sCAPTION__LABELGSPROGRAMMHINWEIS_OK As String = _
    "Gut - Sie haben Ghostscript schon installiert."
Public Const sCAPTION__LABELGSPROGRAMMHINWEIS_OKOK As String = _
    "Sehr gut - Sie haben auch Ghostscript schon installiert."
'PagePDFProgramm
Public Const sCAPTION__PAGEPDFPROGRAMM As String = "Pdf-Betrachter"
Public Const sCAPTION__LABELPDFPROGRAMM As String = "PDF-Betrachter:"
Public Const sCAPTION__COMMANDBUTTONPDFPROGRAMM As String = "ndern..."
Public Const sCAPTION__LABELPDFPROGRAMMHINWEIS_LEER As String = _
    "Es wurde kein PDF-Betrachter (z.B. Adobe Reader oder Ghostview) gefunden. " _
    & "Whlen Sie mit dem Button 'ndern...' einen PDF-Betrachter aus. " _
    & "Wenn Sie keinen PDF-Betrachter installiert haben, brechen Sie die Installation " _
    & "ab, schauen Sie in die Dokumentation von Gs4Word und installieren Sie zuerst das Programm."
Public Const sCAPTION__LABELPDFPROGRAMMHINWEIS_OK As String = _
    "Gut - Sie haben schon einen PDF-Betrachter installiert."
Public Const sCAPTION__LABELPDFPROGRAMMHINWEIS_OKOK As String = _
    "Noch besser - Sie haben auch schon einen PDF-Betrachter installiert."
'PageMailtoProgramm
Public Const sCAPTION__PAGEMAILTOPROGRAMM As String = "Mail-Programm"
Public Const sCAPTION__TEXTBOXAKTIONEN = "Aktionen"
Public Const sCAPTION__LABELMAILTOPROGRAMM As String = "Mailprogramm:"
Public Const sCAPTION__LABELMAILTOPARAMETER As String = "Parameter:"
Public Const sCAPTION__LABELMAILTOSWITCH As String = "PDF-Datei als Mail senden:"
Public Const sCAPTION__LABELMAILTOPROGRAMMHINWEIS_LEER As String = _
    "Nur wenn Sie Outlook 97/98/2000 oder Netscape Communicator 4.xx verwenden, und im Parameter " _
    & "etwas eingetragen haben, knnen Sie PDF-Dateien als Mail-Anhang versenden. Das ist bei " _
    & "Ihnen nicht der Fall."
Public Const sCAPTION__LABELMAILTOPROGRAMMHINWEIS_OK As String = _
    "Sie knnen PDF-Dateien als Mail-Angang versenden. Um dieses Feature zu " _
    & "aktivieren, ndern Sie den Eintrag 'PDF-Datei als Mail senden:'."
Public Const sCAPTION__LABELMAILTOPROGRAMMHINWEIS_OKOK As String = _
    "Spitze - Sie knnen auch PDF-Dateien als Mail-Angang versenden. In Eintrag 'PDF-Datei " _
    & "als Mail senden:' knnen Sie unter verschiedenen Arbeitsablufen whlen."
'PageAddInWaehlen
Public Const sCAPTION__PAGEADDINWAEHLEN As String = "Add-Ins whlen"
Public Const sCAPTION__LABELADDINWAEHLEN As String = _
    "Entscheiden Sie, welche Add-Ins installiert werden sollen:"
Public Const sCAPTION__CHECKBOXWORDFLAG As String = "Microsoft Word "
Public Const sCAPTION__CHECKBOXEXCELFLAG As String = "Microsoft Excel"
Public Const sCAPTION__CHECKBOXPOWERPOINTFLAG As String = "Microsoft Powerpoint"
Public Const sCAPTION__LABELADDINWAEHLENHINWEIS As String = _
    ""
'PageZielgruppe
Public Const sCAPTION__PAGEZIELGRUPPE As String = "Zielgruppe"
Public Const sCAPTION__LABELZIELGRUPPE As String = _
    "Entscheiden Sie, fr wen die Add-Ins installiert werden sollen:"
Public Const sCAPTION__OPTIONBUTTONZIELGRUPPEUSERTRUE As String = _
    "Installation nur fr den aktuellen Anwender"
Public Const sCAPTION__OPTIONBUTTONZIELGRUPPEUSERFALSE As String = _
    "Installation fr alle Anwender auf den Rechner"
'PageSicherheit
Public Const sCAPTION__PAGESICHERHEIT As String = "Sicherheit"
Public Const sCAPTION__LABELSICHERHEITALLETRUE As String = _
    "Die Sicherheitseinstellungen mssen nicht angepasst werden."
Public Const sCAPTION__LABELSICHERHEITEINFALSE As String = _
    "Die Sicherheitseinstellungen werden so angepasst, dass die Add-Ins automatisch starten:"
Public Const sCAPTION__CHECKBOXWORDSICHERHEIT As String = "anpassen in Word "
Public Const sCAPTION__CHECKBOXEXCELSICHERHEIT As String = "anpassen in Excel"
Public Const sCAPTION__CHECKBOXPOWERPOINTSICHERHEIT As String = "anpassen in Powerpoint"
Public Const sCAPTION__LABELSICHERHEITHINWEISALLETRUE As String = _
     "Alle Sicherheitseinstellungen der Office-Programme sind schon so eingestellt, dass die " _
     & "Add-Ins ohne Sicherheitsabfrage automatisch starten."
Public Const sCAPTION__LABELSICHERHEITHINWEISEINFALSE As String = _
     "Wenn Sie eines der nderbaren Kontrollkstchen abwhlen, mssen Sie die " _
    & "Sicherheitseinstellungen fr dieses Office-Programm selbst anpassen."
'PageAddInsErzeugen
Public Const sCAPTION__PAGEADDINSERZEUGEN As String = "Add-Ins erzeugen"
Public Const sCAPTION__LABELADDINERZEUGEN_KANN As String = _
    "Das Installationsprogramm kann zustzlich Add-Ins aus den Sourcen erzeugen:"
Public Const sCAPTION__LABELADDINERZEUGEN_MUSS As String = _
    "Das Installationsprogramm wird folgende Add-Ins aus den Sourcen erzeugen:"
Public Const sCAPTION__LABELKONFADDINERZEUGENFLAG As String = "Konfigurations-Add-In"
Public Const sCAPTION__LABELWORDADDINERZEUGENFLAG As String = "Word-Add-In"
Public Const sCAPTION__LABELEXCELADDINERZEUGENFLAG As String = "Excel-Add-In"
Public Const sCAPTION__LABELPOWERPOINTADDINERZEUGENFLAG As String = "Powerpoint-Add-In"
Public Const sCAPTION__LABELADDINERZEUGENHINWEIS_MUSS As String = _
    "Alle nicht auswhlbaren, aktivierten Kontrollkstchen kennzeichnen fehlende Add-Ins, " _
    & "die neu aus den Sourcen der Programme erzeugt werden."
Public Const sCAPTION__LABELADDINERZEUGENHINWEIS_KANN As String = _
    "Alle auswhlbaren Kontrollkstchen kennzeichnen Add-Ins, die schon vorhanden " _
    & "sind. Wenn Sie ein solches Kontrollkstchen auswhlen, wird das zugehrige Add-In neu aus " _
    & "den Sourcen der Programme erzeugt."
'PageInstallation
Public Const sCAPTION__PageInstallation As String = "Installieren"
Public Const sCAPTION__LABELINSTALLATION As String = _
    "Mit 'Fertigstellen' starten Sie die Installation. Es werden folgende Aktionen durchgefhrt:"
Public Const sMSG_AKTION_4 As String = vbCr & "Alte Add-Ins werden deinstalliert ..."
Public Const sMSG_AKTION_5 As String = vbCr & "Add-Ins werden neu erzeugt..."
Public Const sMSG_AKTION_6 As String = vbCr & "Neue Add-Ins werden installiert..."
'PageKonfiguration
Public Const sCAPTION__PAGEKONFIGURATION As String = "Konfigurieren"
Public Const sCAPTION__COMMANDBUTTONKONFIGURATION As String = "Konfigurieren..."
Public Const sCAPTION__LABELKONFIGURATION As String = _
    "Konfigurieren Sie die Add-Ins jetzt oder spter in den Office-Programmen:"
'PageInstErgebnis
Public Const sCAPTION__PAGEINSTERGEBNIS As String = "Ergebnis"
Public Const sCAPTION__LABELINSTERGEBNIS As String = "Installationsergebnis:"
Public Const sCAPTION__COMMANDBUTTONINSTERGEBNIS As String = "Anzeigen..."
Public Const sCAPTION__LABELINSTERGEBNISHINWEIS_FALSE As String = _
    "Ups! Die Installation ist fehlerhaft. Die durchgefhrten Aktionen und eine Beschreibung der " _
    & "Fehler wurden in das Installationslogbuch aufgenommen."
Public Const sCAPTION__LABELINSTERGEBNISHINWEIS_TRUE As String = _
    "Herzlichen Glckwunsch. Die Installation ist fehlerfrei. Die durchgefhrten Aktionen " _
    & "wurden in das Installationslogbuch aufgenommen."

'Meldungen
Public Const sMSG_KEINADDINAUSGEWAEHLT As String = _
    "Sie mssen mindestens ein Add-In zur Installation auswhlen."
    
'Alle Texte der UserForm INST_UF_Deinstallation
'----------------------------------------------
Public Const sTITEL_DEINSTALLIEREN As String = "Gs4Word deinstallieren"
'berschrift
Public Const sCAPTION__DOCDEINSTALLATIONUF As String = "Gs4Word deinstallieren"
Public Const sCAPTION__LABELDEUEBERSCHRIFT1 As String = "Deinstallation von "
Public Const sCAPTION__LABELDEUEBERSCHRIFT2 As String = "Version "
Public Const sCAPTION__LABELDEUEBERSCHRIFT3 As String = " in "

'PageDeinstAnfang
Public Const sCAPTION__PAGEDEINSTANFANG As String = "Anfang"
Public Const sCAPTION__LABELDEINSTANFANGHINWEIS As String = _
    "Die Deinstallation von Gs4Word erfolgt in zwei Schritten:" _
    & vbCr & vbCr & "Das Programm prft, ob alte Versionen von Gs4Word deinstalliert " _
    & "werden mssen. Es zeigt Ihnen an, welche Vernderungen es an Ihrem System vornehmen " _
    & "wird, um Gs4Word zu deinstallieren." _
    & vbCr & vbCr & "Nach der Deinstallation knnen Sie im Installationslogbuch nachsehen, was an " _
    & "Ihrem System verndert wurde."
'PageDeinstallation
Public Const sCAPTION__PAGEDEINSTALLATION As String = "Deinstallieren"
Public Const sCAPTION__LABELDEINSTALLATION As String = _
    "Mit 'Fertigstellen' starten Sie die Deinstallation. Es werden folgende Aktionen durchgefhrt:"
'PageDeinstErgebnis
Public Const sCAPTION__PAGEDEINSTERGEBNIS As String = "Ergebnis"
Public Const sCAPTION__LABELDEINSTERGEBNIS As String = "Ergebnis der Deinstallation:"
Public Const sCAPTION__LABELDEINSTERGEBNISHINWEIS_FALSE As String = _
    "Ups! Die Deinstallation ist fehlerhaft. Die durchgefhrten Aktionen und eine Beschreibung " _
    & "der Fehler wurden in das Installationslogbuch aufgenommen."
Public Const sCAPTION__LABELDEINSTERGEBNISHINWEIS_TRUE As String = _
    "Die Deinstallation ist fehlerfrei. Die durchgefhrten Aktionen wurden in das " _
    & "Installationslogbuch aufgenommen." _
    & vbCr & vbCr & "Beenden Sie Word. Lschen Sie danach das Installationsverzeichnis von Gs4Word:"

'Meldungen
Public Const sMSG_NICHTSZUDEINSTALLIEREN As String = _
    "Es gibt nichts zu deinstallieren."
    



